# vim: ft=yaml
#
# Each release can have new features and bug fixes. Each of which
# can optionally have linked tickets and a description.
# In addition they can be marked as major by adding the word major
# to the ticket list.
# Also, each release can have new and improved recipes.

# {{{ 6.x.0 2023-xx-xx
#
# :: new features
#
# - title
#
# :: bug fixes
#
# - title
#
# :: improved recipes
# - title
#
# :: new recipes
# - title by author
# }}}

{{{ 6.29.0 2023-10-20

:: new features

- [2038760] E-book viewer: Add a command line flag --new-instance to force the viewer to open a new window even if the option to always use a single viewer window is set

- [2038862] E-book viewer: Image popup: Add a checkbox to remember the last used zoom level

:: bug fixes

- [2039336] Annotations browser: Fix exporting highlights in markdown not including all chapter titles for books with only a single highlight per chapter or a multi level ToC

- [2038747] E-book viewer: Fix a regression that could cause the viewer to enter an infinite loop when displaying the result of a search that has only one match that is not found

- [2038747] E-book viewer: Fix the occasional search result being marked as not found even though it is found

- [2039474] TXTZ Output plugin: Only keep images if the text format is one that can reference images

- [2038848] TXTZ Output: Fix cover not being properly identified in the generated TXTZ metadata

- [2038575] FB2 Input: Fix the "Annotations" section not showing up in the Table of Contents

- [2039395] Linux: Content server: Do not call listen on pre-activated sockets

- Fix sort order of similarly-named hierarchical categories

- [2038778] Fix a regression that broke reading of covers from HTMLZ and TXTZ files

:: improved recipes
- Wall Street Journal
- Scientific American
- 1843
- Financial Times
- Spectator Magazine
- El Diplo
- Wasshington Post
- national Geographic

:: new recipes
- Project Syndicate, Scroll.in and Newslaundry by unkn0wn
}}}

{{{ 6.28.1 2023-10-07

:: new features

- Edit book: Show full path to book being edited in the status bar

- Edit book: When adding dictionaries allow directly a LibreOffice adding the dictionary just by choosing the language

- Edit book: When saving a copy add some convenience actions to edit the copy immediately either in the current editor window or a new window

- E-book viewer: Highlights panel: Allow right clicking to export only selected highlights

:: bug fixes

- [2034900] Edit book: Fix a regression in the previous release that caused Text search to sometimes not select matches correctly

- [2037198] Edit book: When copying files do it in order so that the files are pasted in the same order when pasting into another editor instance

- Edit book: Fix smart tag insert not working correctly if the selected text starts with the closing angle bracket of a tag

- [2038238] Save to disk: Do not limit the total path length to 240 characters on non-Windows platforms

- [2037898] Fix incorrect cover for AZW3 version of calibre User Manual

- [2029723] Content server: Change formatting of book details to match new de-emphasized titles based formatting in the main calibre program

- PDF metadata: Fix a regression that broke updating metadata in PDF files without an /Info dictionary

- NOOK driver: For the Glowlight 2023 write the calibre metadata files into the NOOK sub-folder as the firmware does not allow writing files into the root folder

- NOOK driver: Fix Glowlight 2023 not being detected on Linux and macOS

- [2037454] E-book viewer: Make CFI calculation more robust especially on pages with very little content

- [2037543] E-book viewer: Workaround bug in Chromium where getBoundingClientRect() fails sometimes leading to incorrect calculation of anchor positions

- [2037237] Fix errors caused by .DS_Store files inserted into the .caltrash directory on macOS if the user happens to open .caltrash in Finder

- Version 6.28.1 fixes a regression in 6.28.0 that could cause errors when merging some book records in calibre

:: improved recipes
- National Geographic
- Bloomberg
- Endgadget
- Times of India
- Horizons

:: new recipes
- Business Standard Print Edition by unkn0wn

}}}

{{{ 6.27.0 2023-09-22

:: new features

- [2034954] Kobo driver: Support updated firmware

- Nook driver: Add support for Nook Glowlight Plus 2023

- Data files manager: Allow drag and drop of files onto the list of files to add new files

- [2036266] Support 7z archives in addition to ZIP and RAR for automatic ebook extraction when adding to calibre

- Linux/macOS: Fix detection of the Kindle Scribe with MTP firmware

- [2034760] E-book viewer: Allow clearing list of recently opened books from the open button's popup menu itself

- [2034905] E-book viewer: Add a link to show the currently viewed book in the calibre library (Go to->Metadata in the viewer controls to access it)

:: bug fixes

- [2034999] Book information dialog: Fix a regression that caused incorrect color for titles in dark mode

- [2034977] E-book viewer: Fix searching does not jump to first match if all matches are before current position in book

- [2035579] EPUB Output: Fix duplicated title page entry in spine for books that define a title page that ends up getting split

- Allow for-light/dark-theme icon overrides to work for plugin icons placed by the user in the override folder

- [2035338] PDF Output: Fix background image + text not rendering correctly if the same background image is used with different text multiple times

- [2034968] E-book viewer: Fix section titles in highlights panel being incorrectly expanded to full titles when the section has multiple highlights

- [2035039] Prevent Quickview window from opening in the background

- [2034900] Edit book: Fix a regression in the previous release that caused an error when doing text based searches

:: improved recipes
- Ambito
- Financial Times
- USA Today

:: new recipes
- Times of India Print Edition by unkn0wn
- Hindu Feeds based by unkn0wn
- Australian Financial Review by unkn0wn
}}}

{{{ 6.26.0 2023-09-08

:: new features

- MTP driver: Support the new Kindle Scribe firmware that causes it to act as an MTP device instead of USB disk. Add "Documents" to the list of default folders to send books to

- E-book viewer: Add a new option under scrolling behavior to control horizontal mouse wheel events jumping to next section

- Allow full customization of Book details styling via Preferences->Look & feel->Book details

:: bug fixes

- [2023046] Get books: Update ebooks.com plugin for website changes

- Edit book: Fix searching for non-BMP unicode characters highlighting only half the character

- [2034075] E-book viewer: Fix displaying more than one page per screen causing page layout to be slightly wrong for some books

- [2034404] E-book viewer: Fix clicking on links with empty destinations hanging the viewer

- [2033981] E-book viewer: Fix modifying, then jumping to and then modifying the highlight again from the highlights panel causing the highlight to be deleted

- [2033205] E-book viewer: Fix indication of current section in Table of Contents sometimes wrong after changing font size

- [2033530] E-book viewer/Content server: Disallow browser native context menu when right clicking in sandboxed iframes

- MTP driver: Ignore top level folders whose names start with a leading dot Also ignore AppleDouble files, top level system and fonts folders and sdr folders on Kindle devices

- [2033074] FB2 Input: use the <p> tag for paragraphs that dont contain other block content

- [2033118] E-book viewer: Fix clicking on the back/forward buttons not working in some situations

- [2032974] E-book viewer: Fix scrolling to Table of Contents items that are within a single internal file not activating the back button

- [2032694] E-book viewer: Fix changing the sans-serif font without also changing the monospaced font not working

:: improved recipes
- National Geographic
- Sportstar
- Bangkok Post
- MIT Technology Review
- Bloomberg
- Economic Times India
- Firstpost

:: new recipes
- Nikkei Asia (Magazine) and Espresso by unkn0w7n
}}}

{{{ 6.25.0 2023-08-18

:: new features

- [2029723] Book details panel: De-emphasize titles making the actual data stand out more

- Allow using the new manage data files dialog from within the edit metadata dialog

- [2030342] Trash dialog: Allow right clicking on an entry to save it to disk

- [2027794] When merging books by drag-and-drop add an option to use the dragged cover instead of the cover in the target book

- [2031571] Create catalog: Add buttons to easily select all/non/visible fields when creating CSV/XML catalogs

- [2031570] Preferences->Add your own columns: Add buttons to show/hide all columns

:: bug fixes

- [2031341] Fix a regression in the previous release that broke parsing of some ISO-8601 timestamps

- [2030671] E-book viewer: Mouse wheel horizontal events should jump sections not internal file boundaries

- [2031569] Fix Preferences->Add your own columns changing check state on moving columns

- Get books: update various Polish e-book stores for website changes

- [2029521] E-book viewer: Fix CFI parsing of numbers with trailing zeros causing some bookmarks to not work

- [2029521] E-book viewer: Show an error when creating a bookmark if the bookmark position is not found

- [2031047] CBR Input: Fix comics with extremely long internal filenames not working on Windows

- Edit book: Saved searches: Fix incorrect import in generated source code for some builtin functions

- Data file manager: Fix errors on systems with larger font sizes

:: improved recipes
- Bloomberg
- Focus
- Epoch Times
- Hindu
- Business Today
- NYTimes

:: new recipes
- The Oldie by Sophist
- Various new Russian and Ukrainian news sources
}}}

{{{ 6.24.0 2023-08-04

:: new features

- [2023509] Easily manage the extra data files associated with a book by right clicking the edit metadata button and choose "Manage data files"

- [2028216] Content server: Full text search: Allow searching a restricted subset of books

- [2029014] E-book viewer: Allow clicking on calibre:// URLs

- [2027727] Support fuzzier searching in the Tag browser find allowing unaccented characters to match accented ones

:: bug fixes

- [2028404] DOCX conversion: Preserve underline style and color

- Fix incorrect sorting of device view after some operations

- [2023737] Fix visit content server in browser not working when the content server is configured to listen on an IPv6 interface

- [2028019] Fix one hour offset in some timezones on Windows for dates before 1970

- [2027763] Windows: HTML Input: Fix error when trying to add HTML files with links to other files that are invalid pathnames

- Get books: Update various Polish language book stores for website changes

:: improved recipes
- Epoch Times
- Business Standard
- Tagesspiegel
- Bloomberg Business Week
- MIT Technology Review
- Live Mint
- Private Eye

:: new recipes
- The New Republic Magazine by ping
- Inc42 by unkn0w7n
}}}

{{{ 6.23.0 2023-07-14

:: new features

- [2025942] PDF Output: Add an option to discard the book cover instead of inserting it as the first page of the PDF

- [2025333] Content server: Allow opening the Book details page for a matched book from the Full text search results page

:: bug fixes

- Windows: Fix empty data folder getting created in the directory calibre is launched from when changing title/author for a book with an existing data folder

- [2026795] LIT Output: Fix error converting anything to LIT on Windows

- Ignore failures to expire old trash during startup

- [2025786] Amazon metadata download: Fix retrieval of publisher information from amazon.fr

:: improved recipes
- Guardian & Observer
- Washington Post
- Private Eye
- Associated Press

:: new recipes
- ThePressProject by Sotiris Papatheodorou
}}}

{{{ 6.22.0 2023-06-30

:: new features

- Kobo driver: Add support for newest firmware

- [2023604] Trash bin: Allow setting removed books to be permanently deleted on library close

- Windows: Nicer error message when file/folder is locked in another program

:: bug fixes

- PDF Output: Fix regression that caused large slowdowns when converting books with lots of internal HTML files to PDF

- [2024139] CHM Input: Fix ToC entries that use fragments not supported

- E-book viewer: Fix searching for text next to hidden text not scrolling to the match

- [2024375] E-book viewer: Fix selection popup not showing for some books on some platforms when the selection is in the top line

- [2024433] DOCX Output: Fix multiple SVG images in the input document causing all the SVG images in the output to be just one of the input images

- [2023943] MOBI Input: Ignore another form of corruption in trailing bytes

:: improved recipes
- Foreign Affairs
- Nature
- Bloomberg
- LiveMint
- Hindu and Hindu Business Line
- Deautsche Welle
- Horizons
- Indian Express
- Psych
- Harper's Magazine

:: new recipes
- Radio Canada by quatorze
- Deutschland Funk by Armin Geller
}}}

{{{ 6.21.0 2023-06-13

:: new features

- DOCX Output: Add support for SVG images

  Now the generated DOCX will contain both the rasterized version of the SVG
  image and the original SVG image as the preferred source, which is supported
  by modern versions of Word.

- [2023367] E-book viewer: Allow configuring the actions triggered by touch gestures

- DOCX Input: Add support for SVG images

:: bug fixes

- Windows: Fix a regression in the previous release that could cause files to be deleted if one of the files/folders was open in another program while changing title/author in calibre

- [2023395] macOS: Fix extra dock icons visible when doing a job using Qt WebEngine such as converting to PDF or searching in Get books

- [2023476] macOS and Linux: Fix an error when changing metadata or deleting books whose files are owned by another user

- [2023377] CHM Input: Yet another regression opening CHM files with missing internal files on windows

- [2023431] CHM Input: Resolve absolute links to resource files from the root of the CHM file

:: improved recipes
- Guardian & Observer
- Harper's Magazine Print recipe
- Live Mint

:: new recipes
- The India Forum by unkn0wn

}}}

{{{ 6.20.0 2023-06-09

:: bug fixes

- [2021413] CHM Input: Fix a regression in the previous release that broke conversion of CHM files

- Windows: Make moving files in the calibre library folder more robust, locking folders in addition to files, before the start of the move

- [2023046] Get books: Update Barnes and Noble store plugin for website changes

- [2023189] Kindle output: Only re-encode JPEG images with EXIF metadata if the metadata contains actual transpose operations

- [2023041] PDF Output: Fix error when input document contains multiple instances of a font some with vertical metrics and some without

- PDF Output: Fix using CSS Multicolumns for body causing conversion to fail when header/footer is specified

- [2022035] MOBI Input: Fix a crash when converting some corrupted palmdoc compressed MOBI files

- [2021554] E-book viewer: Ensure CSS stylesheets are interpreted as UTF-8

:: improved recipes
- Foreign Affairs

:: new recipes
- Prospect Magazine UK (Free) by ping
}}}

{{{ 6.19.1 2023-05-29

:: new features

- HTML Input: Restrict adding of resources like images to only files within the folder hierarchy starting at the parent folder of the root HTML file
  Can be controlled by customizing the HTML to Zip plugin in Preferences->Plugins or the --allow-local-files-outside-root option to the
  ebook-convert command

:: bug fixes

- PDF Output: Fix regression in previous release causing non-English entries to be incorrectly encoded into the PDF bookmarks

- PDF Output: Fix regression in previous release that caused blank pages when generating headers or footers

- [2021367] Book list: Fix editing-in-place not pre-selecting existing text for some column types

- Amazon.de metadata download: Update for site changes

- PDF Output: Set /Creator and /Producer in /Info

- [2020906] Fix row height incorrect in Manage category dialog when blank

- [2021452] 6.19.1 fixes a bug in 6.19.0 that broke the edit metadata dialog

}}}

{{{ 6.18.1 2023-05-26

:: new features

- [2020603] Cover download: Allowing saving alternate covers to disk or in the book's data folder by right clicking on the cover

- [2020237] Content server: Allow disabling full text search via the web interface

- [2020233] When sending books to the device confirm the overwrite if the book already exists on the device

- E-book viewer: Handle horizontal wheel events as section jumps in paged mode

- Comic Input: When grayscaling comic images use 16bit gray instead of 8bit for better fidelity

  When using the PNG format for images this results in larger files but with better grayscaling fidelity.

- Add a new option in Preferences->Searching to disable keyboard searching in book list (i.e. you can turn off the behavior that pressing a key will jump to the first book whose title starts with that letter)

- [2018423] Manage categories dialog: Use alternating row colors and allow adjusting row height

- Allow assigning a keyboard shortcut in Preferences->Shortcuts to open the data folder of a book

- Various improvements to syntax highlighting for the Markdown long text editor

:: bug fixes

- [2018025] Fix a regression in 6.16 that broke restoring of the database

- Tag browser: Fix using F2 to edit items not allowing completion

- Book details: Fix formatting of text when copying all book details in narrow mode

- Book details: Fix copy all not respecting line breaks in fields

- [2018660] Fix a regression in previous release that broke scrolling when using the scroll_per_row tweak

- [2018548] Fix a regression in the previous release that broke the category manager dialog in some situations

- 6.18.1 fixes a regression that broke setting metadata and generating PDF files in the macOS and Linux binary builds


:: improved recipes
- NYTimes
- Economist
- Washington Post
- Irish Independent and Irish Times
- Live Mint
- Psych
- Hindu

:: new recipes
- Irish Times Free by unkn0wn
- elEconomista.es and El Confidencial by Hugo Meza

}}}

{{{ 6.17.0 2023-04-26

:: new features

- Font subsetting: Add support for WOFF format fonts and CID keyed fonts. Also further reduce file sizes when subsetting

- Book details: Show a link to open the data files folder when data files are present

- Template language: Add various functions to query the extra files associated with a book

- [2017195] Edit book: Compress images: Support compression of images in the WEBP format as well

- Comments editor: Add buttons to create links to data files and also to folders easily when inserting a link

- Allow displaying the id, formats and path builtin columns via Preferences->Add your own columns

- [2017232] Trash bin: Add a button to clear the bin

- Metadata editor: Use a dedicated editor with preview for custom columns that store Markdown formatted text

:: bug fixes

- Fix a regression in the previous release that could result in empty author folders remaining in the library when the author of a book is changed

- [2017373] Fix the data files associated with a book not being handled when using the Merge books and Copy to library functions

- Fix a regression in the previous release that broke some operations in the Manage tags/authors/etc. dialogs

- [2017217] Ensure metadata.opf is always written when deleting book even if it is not sequenced for backup

:: improved recipes
- Scientific American

}}}

{{{ 6.16.0 2023-04-20

:: new features

- [major] Allow storing extra data files with a book

  Right click the Add books button to add arbitrary files as "data files" to a book record.
  These are managed by calibre along with the book files, but cannot be used for conversion/viewing.
  Select a book and press the "O" key to view the data files in your file explorer.

- Allow undoing the deletion of books from the calibre library

  Now deleted books are stored in a calibre "Trash bin" from which they can be restored with
  a single click. To view the trash bin, right click the "Remove books" button.

- [2016070] Kobo driver: Add support for the new Kobo Elipsa 2E

- Book details: if an item has an associated link then offer that link in the item's context menu


:: bug fixes

- [2015617] Content server viewer: Fix end of chapter content being occasionally skipped when scrolling by screen full with multiple pages

- [2017130] E-book viewer: Fix a regression that caused notes from a different highlights to be shown in some situations

- [2015795] E-book viewer: Show an error if the user tries to search for only punctuation or spaces in the search modes that ignore these

- Fix custom columns not showing in Book details links from other libraries

:: improved recipes
- Frontline
- Outlook Magazine

:: new recipes
- Bar and Bench by unkn0wn
- The Washington Post Print Edition by unkn0wn
}}}

{{{ 6.15.1 2023-04-07

:: new features

- Allow adding external links to tags, series, publishers, etcetera in addition to authors

  The links show up as click-able icons in the book details panel. They can be set by right clicking the
  author/tag/etc. in the Tag browser and choosing "Manage"

- calibre:// URL scheme: Add support for a new type of URL that pops up the metadata of the specified book in a new window

  Works even with books not in the current library. See https://manual.calibre-ebook.com/url_scheme.html#open-a-book-details-window-on-a-book-in-some-library for details

- EPUB Output: Do not shrink images to fit the screen size by default, as modern readers do this themselves well enough. Can be controlled via an option in the EPUB Output section of the conversion dialog

- Edit metadata dialog: Add buttons to pop up the category editing windows easily

- [2012304] Metadata download: Allow specifying rules to transform publisher names in addition to author and tag names

- [2007764] Edit metadata dialog: Use both a colored border and an icon to indicate errors in line edits

- A new tweak in Preferences->Tweaks to control what program is run when clicking on URLs in calibre

:: bug fixes

- [2009586] E-book viewer: Fix a regression that caused incorrect highlight collision detection in some books

- E-book viewer: Fix images embedded inside SVG tags not available for viewing in a pop-up

- [2013972] DOCX Input: Do not ignore images that are present as fallbacks for a word drawing object

- Comic Input: When converting grayscaled PNG images to PNG ensure output images are stored as indexed PNG

- [2012797] Fix active tab not easy to distinguish in dark mode

- [2011755] Content server: Fix re-opening book from home page after making progress not opening to correct last read position when a user is logged in

- [2012760] Comments editor: When copying to clipboard, copy clean HTML rather than the junk Qt produces

- Version 6.15.1 fixes an issue with the new URL scheme popping up incorrect book details windows

:: improved recipes
- Saechsische Zeitung
- LA Times
- Mediapart
- Live Mint
- The Hindu

:: new recipes
- Tehelka by Areet Mahadevan
- The Wire by unkn0wn

}}}

{{{ 6.14.1 2023-03-16

:: new features

- [2007765] Edit metadata: When setting a cover from comic files allow choosing which page to use as the cover

- [2009304] Allow display of columns built from other columns as comments in Book details

- Comments editor: Add a shortcut for "Paste and match style" (Ctrl+Shift+V)

:: bug fixes

- [2004639] macOS: ToC Editor: Fix mouse becoming unusable when trying to create a new entry

- When computing title sorts strip leading and trailing quotes, not just leading quotes

- [2009268] Content server viewer: Fix searching only showing results from the current chapter onwards

- [2009735] Check book: Fix some incorrect line numbers reported in a few CSS error messages

- Fix regression in 6.14.0 that caused some generated resources to be excluded from the calibre source bundle

- [2011586] Fix regression in 6.14.0 that broke using paths with single quotes in them for the calibre library

- Fix ToC Editor on macOS in 6.14.0 not working inside the Edit book tool only

:: improved recipes
- Strange Horizons
- The Saturday Paper
- New Scientist
- The Mainichi
- DR Nyheder
- New York Magazine
- Bloomberg
- Deccan Herald
}}}

{{{ 6.13.0 2023-02-17

:: new features

- Content server: E-book viewer: Long tapping on an image now causes it to be displayed in an internal popup rather than a new window as some browsers block the creation of new windows

:: bug fixes

- E-book viewer: Fix some adjacent highlights with nothing in between them not being displayed.

- [2006726] Content server: Workaround for Safari regression causing bookmarks to disappear on reload

- [2007039] E-book viewer: Read aloud: Fix a regression in the previous release that caused the Read aloud controls to not reappear when Read aloud is canceled and restarted

- [2006062] E-book viewer: Read aloud: Fix a regression in the previous release that caused an error when using Read aloud on a chapter with no text, such as the cover page

- E-book viewer: Fix a regression that caused a spurious error on Windows when reading out selected text

- [2007165] Fix a regression in calibre 5.0 that broke sorting the device view by title if one of the books has an empty title

- Edit book: Spell Check dialog: Fix second word not getting selected when after first word is fixed

- [2004621] Improve hover highlight color in tree views

:: improved recipes
- CNN
- Bloomberg

:: new recipes
- The Economist Espresso by unkn0wn
- Science X by unkn0wn
- Horizons by unkn0wn
- Deccan Herald by unkn0wn
- The Monthly by unkn0wn
}}}

{{{ 6.12.0 2023-02-03

:: new features

- E-book viewer: Read aloud: On Windows switch to using the new Microsoft speech subsystem with access to more voices

  Note that this means that old voice, speed and audio devices setting will not be used so a reconfiguration might be needed.

- [2003712] calibre:// URL scheme: allow specifying a Virtual library for show_book URLs

- [2003227] Add by ISBN: Allow adding using identifiers other than ISBN as well

- Update bundled Qt to 6.4 this means calibre on macOS is now only supported on Big Sur and newer

- Spell check dialog: Allow up and down arrow keys to work regardless of focus

- [2002257] Allow multiple Template tester dialogs

:: bug fixes

- Windows MTP device driver: Ignore failure to enumerate objects inside non-root folders

  There are apparently a lot of devices out there that fail in this way.
  So rather than aborting the scan simply ignore the folder.

- Book list: Fix a regression in the previous release that broke dragging to select multiple books

- [2004197] Content server viewer: Fix reload book not actually reloading until the browser is also refreshed

- [2003916] E-book viewer: Fix occasional false warning about highlight being overwritten

- [2003908] E-book viewer: Fix detection of selected highlights when all text is selected

- [2003729] Fix an error when embedding metadata into a large number of books

- [2004522] When updating metadata in EPUB 2 files and no language is specified, do not remove the <dc:language> tag as this causes epubcheck to complain. Instead set the language to "und"

- [2004083] Wireless device driver: Remove the timeout for initial connection

- [2003652] Use an icon rather than a color to report errors in fields and the search box

- Conversion dialog: Regex builder: Workaround bug in Qt that prevented searching for non breaking spaces in the wizard used to test search expressions

- [2002864] Spell check dialog: move down after correcting word, not up

- [2002534] Get books: Fix Mobileread store plugin not working

:: improved recipes
- Jerusalem Post
- LiveMint
- The Seattle Times
- India Today
- Outlook Magazine
- Live Mint
- Irish Independent
- Irish Times

:: new recipes
- Boston Globe Print Edition by unkn0wn
- Observer Reach Foundation by unkn0wn
}}}

{{{ 6.11.0 2023-01-06

:: new features

- Edit book: Check book: Allow automatic fixing of various simple CSS errors

- E-book viewer: When Read aloud is speaking, make the control bar translucent so that words under the bar are visible

- Edit book: Switch to a new library (stylelint) for find problems in CSS as the old library was no longer maintained.

- Edit book: File browser: Allow using keyboard shortcuts to re-order the spine

- [1982532] calibredb list: Allow specifying multiple fields for --sort-by

- [2000037] Check library: Allow opening the book folder easily

:: bug fixes

- Fix windows not being moved onto the current monitor when they were previously visible on a removed monitor that was to the left of the current monitor

- [1999995] Book list: Fix a regression in the previous release that broke drag and drop of multiple books

- [2000877] Fix detection of Tolino Vision 6 on macOS/Linux

- [2001880] Content server: Fix auto full screen not working when continuing to read books with user account enabled

- Edit book: Set semantics: Fix error when setting the "Notes" semantic

- [1999956] HTMLZ output: Fix images referred to in CSS stylesheets not being converted

- [2000881] Book details panel: Fix HTML comment tags in the comments breaking display of book details

- Content server home page: When showing recently read books from across devices hide the entries for which loading the cover fails

- Windows Text-to-speech: Do not fail to configure if one of the voices has no defined language

- Fix a regression in calibre 5 that broke using a file for the --extra-css option of ebook-convert

- Content server FTS: Fix page header bar not visible

- Content server: Fix identifiers from third party metadata download plugins not becoming clickable links on the book details page

- Edit book: Warn when saving will overwrite a read-only file

- Fix restoring geometry of maximized/fullscreen dialogs forcing them visible

- [1999936] Fix a regression in the previous release that caused spurious error message when doing some out of band searches

- Fix a regression in the previous release that broke choosing new programs for the Open with function

:: improved recipes
- PC World
- HNA
- Caravan Magazine
- Harvard Business Review
- Various Israeli news sources

:: new recipes
- NHK News - by Richard A. Steps
- Globes in English by barakplasma
}}}

{{{ 6.10.0 2022-12-16

:: new features

- [major] Content server: Add support for searching the full text of books. Simply click the FTS link on the search page to start a full text search.

- [1998557] Content server: When using user accounts, the homepage now shows recently read books from any device not just the current device

- [1999685] Kobo driver: Bump the max supported firmware version

- [1998780] Conversion: New Output profile for the Kindle Scribe

- [1998705] Check library: Allow ignoring folder names as well as files names

:: bug fixes

- [1999349] Edit book: Fix various formatting operations not inserting the tags in the correct place in the presence of non-BMP characters

- Edit book: Use <s> instead of <strike> for strikethrough

- [1998899] Edit book: Fix export saved search to search panel not preserving the wrap checkbox state

- [1998767] Content server: Redirect the index page to always have trailing slash when using URL prefixes

- Book list: Workaround for change in Qt 6 behavior where clicking on an already selected row does not deselect other rows

- [1998165] Windows: Fix a regression in calibre 6 causing Open with to not extract icons from EXE files

:: improved recipes
- Indian Express
- Financial Times
- TIME Magazine
- Hindu Business Line Print Edition
- Arts and Letters Daily
- Frontline
- Sportstar
- New Yorker

:: new recipes
- Fokus by Henrik Holm
- Press Information Bureau by unkn0wn
- Himal Southasian by unkn0wn
- Indian Express Print Edition by unkn0wn
}}}

{{{ 6.9.0 2022-11-25

:: new features

- E-book viewer: When exporting highlights as plain text include titles from chapters at all levels not just the first level

- Edit book: Reports: Show the number of words per file in the Files section of the report

- Windows builds: sign DLLs in addition to EXEs to make Microsoft's new "Smart App Control" tool happy

- Sending by email: When adding comments also add series

- [1990730] Nook driver: Put files in NOOK/Books instead of NOOK/My Files on recent nook devices so they are all listed in one place in the NOOK UI

- calibredb list: Allow using a template as one of the returned fields

- Tag browser: Add context menu action to turn on/off sub-categorization for a category

:: bug fixes

- [1996802] Merging books: Fix title sort not being updated when the title is updated

- Content server viewer: Fix incorrect sorting of highlights in the same paragraph

- Content server viewer: When exporting highlights as text include chapter titles

- Improve rendering of the separator handle dots introduced in the previous release

- Edit book: Fix regression in previous release causing applying any container update marking all open image editors as modified

- Fix a regression in the previous release that caused copying book details to clipboard to use unix line endings on windows

:: improved recipes
- Bloomberg
- The Globe and Mail
- Spectator Magazine
- The New York Times
- The Hindu
- MIT Technology Review

}}}

{{{ 6.8.0 2022-11-04

:: new features

- Allow customizing the buttons available to the right of the search bar in the main calibre window via Preferences->Toolbars & menus->The buttons on the searchbar

- [1994065] Book details panel: Allow adjusting the space used by the cover with a splitter

- Make splitter handles more visible in the calibre UI style

- [1994136] When sending by email to Kindle do not include the author in the filename as Amazon is currently reading the author from the file metadata but not the title

:: bug fixes

- [1993051] Book list: Fix incorrect rendering of yes/no icons when they are configured to have only two values

- [1990730] Nook driver: Send books to the NOOK folder for the 2021 Nook model as well

- Improve performance in very large libraries of various UI operations such as right clicking, marking books, etc.

- Fix edit metadata dialog not remembering its position and improve how calibre restores window position and size on multi-monitor systems

- Conversion: Fix CSS styles applied to SVG elements being discarded

- [1995551] EPUB Input: Fix empty Adobe page number template file causing conversion to fail

- [1995214] E-book viewer: Fix rendering of comments in metadata display when using a dark color scheme

- [1994988] AZW3 Input: Fix svg images that use a prefix for the SVG namespace not being recognized

- Edit book: Fix double clicking in the see what changed dialog not opening the file in the editor since calibre 6.0

- Edit book: Fix modified indicator on images not working correctly when replacing the image

- Amazon metadata download: Adapt the plugin for website changes

:: improved recipes
- Army and Navy Times
- eenadu_ap
- Handelsblatt

:: new recipes
- Fifty Two by unkn0wn
- Bloomberg and Bloomberg Business Week by unkn0wn
}}}

{{{ 6.7.0 2022-10-14

:: new features

- Template language: A new "Python template mode" which allows using arbitrary Python code in templates

- [1992273] Tag browser: Allow removing format from selected books by right clicking on the format in the Tag browser

- [1991597] E-book viewer: Ask for confirmation when creating a highlight that will overwrite existing highlights

- Book list: Allow changing column widths via a dedicated dialog by right clicking on column headers

:: bug fixes

- [1992278] E-book viewer: Fix a regression that broke adding of new lookup sources

- [1991504] E-book viewer: Fix copy to clipboard not ignoring text from elements that are marked as non user selectable

- [1992244] Content server: When adding books, run all file type plugins before reading metadata

- Edit book: Preview panel: In dark mode when all of the background/foreground/link colors are set to "No change" do not render the book using dark colors

- Version 6.7.1 fixes a regression in the previous release that broke the delete specific format from book function

:: improved recipes
- The Athletic
- der Standard
- The Economic Times India Print Edition
- Indian Express
- India Today Magazine
- Caravan Magazine
}}}

{{{ 6.6.1 2022-09-30

:: new features

- Book details: allow displaying multi-valued categories such as tags on separate lines via Preferences->Look & feel->Book details

- [1989813] Tag browser: When searching the Tag browser allow also filtering the book list to show only books that match one of the categories currently shown in the Tag browser.

To use enable the two Preferences: "Preferences->Look & feel->Tag browser->Hide empty categories" and "Find shows all items that match".
Then, when searching the Tag browser, press Ctrl+Alt+Shift+F to restrict the displayed books.

- [1990507] Edit book: When right clicking on HTML files in EPUB 3 books, allow marking them as the Table of Contents (NAV document)

:: bug fixes

- [1990185] EPUB Output: Fix converting a document with obfuscated fonts to EPUB 3 not working

- [1990660] Edit book: Fix an error when processing books that contain comments inside unknown CSS @ rules

- [1989722] Content server: Fix jumping to locations such as bookmarks not working on iPhone/iPad running iOS >= 15

- [1990766] Font subsetting: Fix :first-line and :first-letter pseudo classes not being handled correctly

- Workaround for Amazon's email delivery service not reading metadata from inside ebook files

- Edit book: File list: Fix pressing Tab key while renaming a file not starting the rename of the next file

- Version 6.6.1 fixes a regression that caused the Edit metadata window to not remember its last used size.
  Note that you will have to resize it once after updating to 6.6.1, after which the size will be remembered.

:: improved recipes
- SCMP
- Spectator Magazine
- Spiegel Online International
- Engadget
}}}

{{{ 6.5.0 2022-09-16

:: new features

- Kobo driver: support the new Kobo Clara 2e

- [1989631] When running calibre with the --with-library command line flag and calibre is already running, switch to the specified library in calibre

- [1988443] E-book viewer: Ask for confirmation when deleting a custom highlight style

- [1988609] Do not show the virtual libraries tab bar when no virtual libraries are present

- Tag mapper: When specifying the replacement tag allow completion from the tags in the currently open library

- Template language: New functions strcasecmp() and to_hex()

:: bug fixes

- [1989177] Comments editor: Workaround for Qt inserting invalid font-weight when converting a paragraph to a heading

- [1988590] E-book viewer: When displaying highlights do not group highlights from different chapters when the chapter titles are identical

- Tag browser: Fix error if a User category contains a reference to a deleted custom column

- [1989282] When sending books by email to the Kindle and PocketBook email delivery services use random subject and filenames consisting of simple English letters to try to workaround various bugs in their email processing code

:: improved recipes
- The Wall Street Journal
- Open Magazine
- The Baffler
- Dark Reading
- New York Times
- NYTimes Cooking
- NYTimes Sports Beat
- Outlook Magazine
- Foreign Affairs

}}}

{{{ 6.4.0 2022-09-02

:: new features

- [1987011] Conversion pipeline: Add support for !important when flattening CSS rules

- [1986786] Content server: Use the chapter title as the base bookmark name when creating new bookmarks

- Allow changing the search order when clicking on items in the Tag browser (Preferences->Look & feel->Tag browser->Hierarchy and searching)

- [1986500] Check library: Make vacuuming the full text database optional as it is very slow and memory intensive

- [1987235] Tag browser: Move the preferences for controlling the order and display of categories in the Tag browser from Preferences->Tweaks to Preferences->Look & feel->Tag browser

- [1984121] User category editor: Hide items not visible in the Tag browser

- Allow adding a button to show the Manage categories window to the toolbars via Preferences->Toolbars & menus

- Google metadata download: When excluding results from a web search because they don't match the specified title/author ignore diacritics, accents, etc.

:: bug fixes

- [1986963] E-book viewer: Lookup: Google dictionary: Add some padding at the left and right margins

- [1985855] E-book viewer: Lookup word in Google dictionary: Fix meanings of some words not being shown in the user's preferred language

- [1987390] Fix calibredb backup_metadata --all operating only on dirty books not all books

- [1987557] Do not VACUUM FTS db when exporting library as it can be very slow

- Windows: Nicer error message when attempting to run viewer/editor on machine without MediaPack installed

- Edit book: Reports: Fix rendering of images in the images report table

- [1986412] Content server: Fix formatting of dates for custom columns using ISO format

:: improved recipes
- Live Law and Live Mint
- Financial Times and MIT Technology Review
- Business Standard and Indian Express
- Nautilus
- High Country News
- Outlook Business Magazine

:: new recipes
- Brhat by Vishwas Vasuki
- Cachys Blog by Volker Heggemann
- Various Russian and Ukranian news sources by bugmen00t
}}}

{{{ 6.3.0 2022-08-12

:: new features

- E-book viewer: Allow searching for nearby words using a new "Nearby words" search mode

- calibredb: New fts_search and fts_index commands to perform full text searching from the command line

- [1985021] Image viewing popup: Allow zooming using the standard shortcuts of Ctrl+plus/minus

:: bug fixes

- Fix a regression in calibre 6.0 that broke remembering the previous sort order for a column

- [1983484] Fix a regression in calibre 6.0 that broke processing of very high resolution images

- [1983230] Full text search: Fix error when using restrict searched books and more than 900 books are present in the searched list

- E-book viewer: Fix parsing of CSS styles with @supports rules not working

- E-book viewer: Speed up initial render of books with lots of CSS in <style> tags by not prettying the CSS

- [1983126] Google books metadata download: Fix paragraphs not being recognized

- Content server: Fix light background for comments editor in dark mode

- [1985058] Content server: Fix margin and body background color mismatch when reading books with a non-white/black color scheme

- [1983271] Content server: Fix long tapping in the notes edit area incorrectly changing the highlight extent

- Google search engine: Fix for different URL encoding used by Google servers in Portugal

- Check library: Fix vacuum not running on FTS db

:: improved recipes
- Wirtschaft Woche
- Scientific American
- Popular Science
- Mediapart
- MIT Technology Review
- Indian Express
- Eenadu

:: new recipes
- Various Russian and Ukranian news sources by bugmen00t
}}}

{{{ 6.2.1 2022-07-29

:: new features

- Full text search: Ignore soft hyphens when extracting searchable text from books. Note that you will have to re-index your library to take advantage of this.

- Content server: Have the Read button open PDF files in the browsers builtin PDF viewer rather than the calibre viewer since the calibre viewer is not well suited to PDF

- Kobo driver: Add support for new firmware

- Create icon theme dialog: Add a checkbox to install the newly created theme into calibre

- Allow re-indexing a book for FTS by right clicking the Book details panel

:: bug fixes

- [1982060] Content server: Workaround for Chrome bug causing multiple sign in prompts when connecting to the server after restarting Chrome

- Fix a regression in 6.0 that broke rendering of first page of EPUB as cover when the EPUB has no actual cover

- [1981886] Content server: Fix a regression in 6.0 that caused incorrect rendering of comments metadata in the book details panel in dark mode

- [1982743] FB2 Input: Fix a regression in 6.0 that broke conversion of FB2 on macOS

- [1982502] Metadata download from Google: Switch to making the queries via a Google web search as this finds some books that searching via the API does not

- [1982651] Book details panel: Fix clicking on items from an enumerated column containing ampersands not searching correctly

- Image editor: Do not allow initial mouse drag to create selection rect outside the image bounds

- E-book viewer: Fix clicking on ToC entries moving keyboard focus to the ToC search box when the ToC window is floating

- Fix a regression in 6.0 that caused the default cover to be rendered small in some contexts

- [1981882] Various bug fixes related to the new dark/light icon theme switching. Make the icons more consistent even when using the system theme. Use calibre specific file type icons when using the non native file dialogs. Allow creating dark/light override icons manually in the configuration folder.

- [1981909] Disable the color theme setting when using system style

- When using a fixed color palette and the system colors are of different type enforce the color palette

- [1982050] Ignore Qt generated application palette changes when using a fixed palette

- In the icon theme chooser dialog show light and dark themes only in the light and dark tabs

- [1982035] Welcome wizard: Fix device names not being translated correctly leading to the same name being repeated for some devices

- Read aloud: Fix spurious error message on Linux about voices not being installed

- Linux binaries: Bundle brotli and graphite2 as well as Qt links against them

- FTS dialog: When keyboard navigation changes the current item ensure it stays visible

- [1981887] Binary builds: Fix Qt TLS backends not included

- Fix Qt WebEngine creating cache folders outside of the calibre cache directory

- Version 6.2.1 fixes a regression in 6.2.0 that caused the Read button in the Content server to only work for PDF books

:: improved recipes
- Frontline
- HBR
- The Australian
- India Today
- Indian Express
- India Today
- Live Mint
- The Atlantic

:: new recipes
- The Athletic by unkn0wn
- Various Russian and Ukranian news sources by bugmen00t
}}}

{{{ 6.1.0 2022-07-16

:: new features

- Full text search: Add a button to re-index a book, useful if the book's contents have been changed outside calibre

- Search queries now support quoting using "docstrings" for easier escaping

- Linux installer: Check for libEGL as the QtGui module in Qt 6 links against it and many Linux servers don't have it installed

:: bug fixes

- macOS: Blacklist older versions of the DeDRM plugin as they caused crashes and failures to add books.

- [1981453] Fix a regression in 6.0 that caused crashes in the Manage authors dialog

- Fix a regression in 6.0 that broke touch screen interaction

- [1981627] Fix a regression in 6.0 that caused a few checkboxes to stop working

- [1981629] Linux: Fix a regression in 6.0 that broke handling of mouse clicks on some Wayland systems with a touchpad

- ToC Editor: Fix a regression in 6.0 that broke styling/images in the preview panel

- Windows: Fix window titlebars not dark in dark mode

- Full text search: Show a warning when indexing/searching a library on an FAT drive

- News download: Do not add aborted/failed article titles to the comments metadata

- Full text search: Fix books edited with the Edit book tool not being automatically re-indexed

- [1981438] HTML Input: Fix handling of deeply nested files on Windows

- [1981188] Fix a regression preventing using a non-integer value for the tweak to change book details font size

- Fix moving library not moving the full text search index

- Fix some custom icons in the calibre config directory not overriding the theme/builtin icons

- Linux installer: Fix glibc version check also being done when installing older versions

- Windows installer: Refuse to install on Windows 8 as thanks to Qt 6 calibre 6 does not work on Windows 8

- Update the BigBookSearch metadata plugin for website changes

:: improved recipes
- The Economic Times India
}}}

{{{ 6.0.0 2022-07-11
:: new features

- [major] For details on the major changes in calibre between 6.0 and 5.0, see https://calibre-ebook.com/new-in/fifteen

- [major] Full text search: You can now search the entire text of all books in your calibre library

- [major] Support for new CPU architectures: Apple Silicon and ARM64 on Linux. Support for 32bit CPUs has been dropped because Qt 6 does not support them

- Dark mode in calibre is now controlled via a setting in Preferences->Look & feel rather than an environment variable

- Allow choosing different icon themes for light and dark mode in Preferences->Look & feel

- Upgrade calibre to use Qt 6. This means that some no longer maintained third party plugins may not work, though most plugins have already been ported

}}}

{{{ 5.44.0 2022-06-17

:: new features

- [1976105] Amazon metadata download: Add an option to prefer the Kindle edition when multiple book types are returned by the search (Preferences->Metadata download->Configure the Amazon plugin)

- Kobo driver: Support for updated firmware

- [1977681] Allow customizing how yes/no columns are displayed (Preferences->Add your own columns)

- Manage tags dialog: If tags are present in the add tags input when OK is clicked, add them automatically, without needing to click the plus button first

:: bug fixes

- [1978500] Edit book: Live CSS: Fix @namespace rules causing jumping to rule definition to go to the wrong definition

- Workaround for Apple bug in macOS 13 that prevents device detection

- Don't use commas in filenames when sending to pbsync and kindle email addresses

- Edit book: When quitting while a save is in progress and the save completes while the confirmation popup is visible, don't abort the quit.

:: improved recipes
- Harvard Business Review
- Philosophy Now
- Sydney Morning Herald
- Haaretz
- Indian Express
- Hindi Business Line
- The New York Times
- Nature
- Eenadu
- Scientific American
- Business Today
- Irish Times
- FAZ.net
- Le Monde
- Economist

:: new recipes
- Nautilus by unkn0wn
- The Healthy from Reader's Digest by Stephen Genusa
- Business Standard Print Edition by unkn0wn
- The Economic Times India Print Edition by unkn0wn
}}}

{{{ 5.43.0 2022-05-27

:: new features

- Kobo driver: Allow using templates to generate collections

- [1975406] Book details popup: Double clicking on the cover now uses calibre's internal image viewer. Right click on the cover to open it with another program.

:: bug fixes

- [1971461] Fix Book details blank when switching from device view to library view

- [1973591] TXT Input: Fix a regression in 5.39 that caused the option to remove indents also removing blank lines

- [1972069] E-book viewer: Fix incorrect sorting of highlights from the first internal file of a book

:: improved recipes
- Outlook Magazine
- India Today
- The New Yorker
- Foreign Affairs

:: new recipes
- Asahi Shimbun by Albert Aparicio Isarn
- Business Today Magazine by unkn0wn
- Outlook Business Magazine by unkn0wn
- Donga by Minsik Cho
- Le Monde (English) by Darko Miletic
- Hinduism Today by Vishwas Vasuki
- The MIT Press Reader by yodha8
- Live Science by yodha8
- Financial Times Print Edition by Kovid Goyal
- Various Catalan language news sources by santboia

}}}

{{{ 5.42.0 2022-05-03

:: new features

- E-book viewer: Ignore accents when doing a search

- [1969926] Book list searching: Ignore punctuation when searching. So that, for example, Gravitys will match Gravity's

- [1970045] Show the text used for marking books in the tooltip

:: bug fixes

- [1971150] Edit book: Reduce memory consumption by the checkpoint system when doing operations that involve parsing all book files

- [1971015] Amazon metadata download: Fix titles starting with [ being ignored

- [1970497] Edit metadata dialog: Undo not working correctly in identifiers field

- [1970391] Fix viewing LRF files not working

- [1969981] PDF Output: Fix an error on some invalid CSS in the input document

- Linux binary: Workaround for Qt WebEngine not working on systems with glibc > 2.33

:: improved recipes
- New Yorker
- OMG! Ubuntu!
- ACM Queue
- CACM
- Science News
- Quanta Magazine
- Outlook Magazine
- Indian Express

:: new recipes
- Caravan Magazine (Hindi) by Areet Mahadevan
- LWN (Free) by yodha8
- IEEE Spectrum Magazine by yodha8
- Financial Times by Kovid Goyal
- Cosmos Magazine by yodha8
}}}

{{{ 5.41.0 2022-04-22

:: new features

- [1968810] Allow creating multiple types of temporary marks (pins) by right clicking the mark books button (which can be added to the calibre toolbar via Preferences->Toolbars & menus)

- Kobo driver: Support updated firmware

- [1967149] Show a popup message when a Kindle is connected mentioning the Amazon cover bug and how to workaround it

- Edit book: Table of Contents tool: Allow using the title attribute on headings tags to get the text for table of contents entries

- When creating a custom column to display real (floating point) numbers allow specifying the number of decimal digits when editing values

- Amazon metadata download: Add support for amazon.in country website

:: bug fixes

- [1969302] Edit book: Fix AltGr+{ not working on some keyboard layouts

- [1967828] TXT Input: Fix rare failure to convert some large TXT files with non-ASCII text

- Get books: Update English language Amazon plugins for website changes

:: improved recipes
- The Economic Times India
- Business Standard
- scmp.com
- Wired Magazine Monthly Edition
- Reason Magazine
- The Skeptical Inquirer
- Times of India
- LiveMint
- The Week
- Indian Express
- Hindustan Times

:: new recipes
- Eenadu by unkn0wn
- Harvard Business Review by unkn0wn
- Hindustan by unkn0wn
- Dainik Bhaskar by unkn0wn
- Free Inquiry by Howard Cornett
- Sportstar by unkn0wn
- Digit Magazine by unkn0wn
- The Diplomat by unkn0wn
}}}

{{{ 5.40.0 2022-04-01

:: new features

- [1966872] Content server viewer: Allow editing bookmarks

- [1967028] Read covers from CBC comic files

- [1966537] Allow filtering authors/tags when creating virtual library based on them

- [1966851] Add a copy button to the image view popup

- Template language: Support for nested functions and a string concatenation operator

:: bug fixes

- DOCX Output: Fix a comment immediately after a <li> tag breaking the conversion

- Standalone ToC editor: Fix spurious error message if left open for more than two minutes

- [1965693] Fix search-as-you-type triggers extra search after manual confirmation

:: improved recipes
- Courrier International

:: new recipes
- Reason Magazine by Howard Cornett
- Seminar Magazine by unkn0wn
- Frontline by unkn0wn
}}}

{{{ 5.39.1 2022-03-18

:: new features

- [1963875] E-book viewer: Allow scrolling of the ToC, highlights, bookmarks, etc. with touch gestures

- [1963822] Edit metadata dialog: When using the change case operations if some text is selected, only operate on the selected text

- [1964123] Use atomic writes for the config files ensures no partial data is written in case of crash/powerloss

:: bug fixes

- 5.39.1 fixes a couple of regressions that broke case change in the Bulk metadata edit dialog and remembering column widths in the book list on some systems.

- [1964742] Content server: Fix reading of books with thousands of internal files not working in the Chrome browser

- [1965182] Catalog generation: Fix a rare crash when generating very large catalogs

- Edit/Polish book: Fix hardcoded Unicode ligatures not being preserved in AZW3 format books

- [1963868] Fix automatic searches causing search box to lose focus when search as you type is enabled in Preferences->Searching

- [1963748] Edit book: Check book: Auto fix package identifier being empty

- [1963856] Amazon metadata download: Fix getting series info from amazon.jp

- Edit book: Insert hyperlinks: When sorting anchors on elements without any text content, use the anchor itself

- Edit book: Make the saved search panel freely resizable

- Edit book: When dragging to select a region or adjust the selection fix mouse moving outside the image causing the region to no longer be adjusted

:: improved recipes
- India Legal Magazine
- The Smithsonian
- The Federalist

:: new recipes
- Swarajya Magazine by unkn0wn
- Open Magazine by unkn0wn
}}}

{{{ 5.38.0 2022-03-04

:: new features

- [1852929] E-book viewer: When displaying estimated time to completion for reading a book, remember the reading rate the next time the book is opened

- [1961500] Dark theme: Highlight the current cell in the book list with a lighter background and different foreground to make it more obvious

- [1961639] An option to disable editing composite columns in the main book list when Tabbing through them (Preferences->Look & feel->Edit metadata)

:: bug fixes

- Tag editor: Fix regression in previous release that caused double clicking on tags to not work on non Linux platforms

- [1962365] Copy to library: Fix annotations not being copied

- [1962213] Edit book: Spell check: Fix words after a comment not being checked

- [1960554] PDF Output: Fix conversion failing if there are ToC entries pointing to removed content

- [1961775] E-book viewer: Fix an error when opening books with MathML for the second time if the last read position was at a MathML element

- Edit book: Fix double clicking to select a word also selecting smart quotes surrounding the word

- EPUB 3 metadata: Fix non-integer series index being sometimes represented using exponential notation

:: improved recipes
- Lenta.ru and aif.ru
- Indian Express
- Live Mint
- Mainichi
- Japan Times

:: new recipes
- Hindustan Times by unkn0wn
- India Legal Magazine by unkn0wn
- RT на русском by Vuizur
}}}

{{{ 5.37.0 2022-02-18

:: new features

- [1961129] Book details: Add actions to trim the cover to the right-click menu

- [1960586] Allow removing multiple email addresses at once in Preferences->Sharing by email

- Book details: Use a better mono-spaced font on Windows by default

- Add a tweak in Preferences->Tweaks to change the behavior of the Tab key when completing entries

- [1959928] Edit metadata: In "All in one" mode add an adjustable splitter between the cover and formats boxes

:: bug fixes

- [1960686] Textile output: Don't fail if input document has invalid padding or margin specifications

- [1960446] E-book viewer: Fix image display window not remembering its size and settings when run from within calibre

- E-book viewer: Fix setting to use roman numerals for series not being respected

- Edit book: When saving a copy do not fail if the original file has no write permissions

- [1960180] Embed fonts tool: Create <head> when missing

- Tag editor: Improve performance when very large number of tags present

:: improved recipes
- Live Mint
- The Hindu
- Reuters
- MMC RTV Slovenija
- Down To Earth
- Publico.PT
}}}

{{{ 5.36.0 2022-02-04

:: new features

- Edit metadata dialog: Allow controlling which custom columns are present in this dialog via Preferences->Look & feel->Edit metadata

- Edit metadata dialog: Allow manually sizing the various sections of the dialog in "All on 1 tab" mode

- Edit book: Spell checking: Update the bundled English and Spanish dictionaries

- [1958773] BibTeX catalogs: Support tags like custom columns

:: bug fixes

- [1959659] Amazon metadata download: Fix paragraphs in the comments being merged

- [1958979] Amazon.de metadata download: Fix published date and series information not being fetched for some books

- Email delivery: Fix sending email via Hotmail not working since this week because Microsoft changed the SMTP server name

- [1959220] Do not remove articles for titles in the Polish language

- [1959207] E-book viewer: When using Read aloud do not automatically lookup the highlighted word until read aloud is paused or stopped

- E-book viewer: Fix Ctrl+P shortcut for printing not working

- [1958882] Show an error when viewing a specific format and the file is missing

- Edit book: Fix renaming of classes that start/end with non word characters not working

- [1958730] Edit book: Preview panel: Fix hyphenation at end of line being rendered as boxes on macOS

- [1959893] Fix incorrect selection size displayed in Trim image dialog when image is scaled down to fit

- [1959782] Edit book: Fix pasting files from another editor instance failing if a file with the same name already exists

- [1959981] When reviewing metadata if the newly downloaded metadata has no language but there is an existing language, ensure it is preserved

:: improved recipes
- India Today
- Indian Express
- Live Mint
- Al Jazeera in English
- The Financial Express
- The Straits Times

:: new recipes
- title by author
}}}

{{{ 5.35.0 2022-01-21

:: new features

- [1956006] Coloring/icon rules: Allow creating a rule for date columns that matches *today*

- Kobo driver: Add support for new firmware

- [1954890] Content server: Show total number of results when searching for books

:: bug fixes

- [1958028] E-book viewer: Fix searching for text near the end of a chapter sometimes not working

- [1954714] E-book viewer: Fix auto hyphenation on macOS not rendering the hyphens correctly

- Edit book: Reports: Fix thumbnails of SVG images not rendered

- ODT metadata: Support reading tags from multiple <keyword> elements

- [1958115] LRF Input: Fix a regression in calibre 5 that broke parsing of some LRF files

- [1956097] MOBI output: Don't fail if input document contains invalid % based lengths

- [1955308] AZW3 Input: Handle AZW3 files with incorrect TAGX Offset INDX header fields

- [1956932] Comic conversion: Fix conversion of comic images that are stored as grayscale images in JPEG format not working when converting to PDF with image processing turned off

- [1955967] calibredb catalog: Fix --ids and --search options not working for CSV/XML catalogs

- [1958490] Tag browser: Fix the find box not using all available width

- [1956192] E-book viewer: Remove books that do not exist from the recently opened book list

- Completion popups: Fix display of items containing line breaks

- [1956129] Fix line breaks in custom column descriptions not being rendered in their tooltips

- [1956088] Fix Preferences->Searching->Clear search histories not taking effect till a restart for some search boxes

- [1955732] Hierarchical entries in user category may not merge correctly in tag browser

:: improved recipes
- Foreign Affairs
- MIT Technology Review
- Reuters
- Clarin
- General Knowledge Today
- Popular Science

:: new recipes
- Dw.de by xav
- Equestria Daily by Timothee Andres
}}}

{{{ 5.34.0 2021-12-17

:: new features

- Happy holidays to everyone!

- Driver for the new Nook Glowlight 4

- Edit book: Spell check tool: Add an exclude files button to exclude some files from being checked

- EPUB/MOBI Catalogs: Increase the maximum thumbnail size to 3 inches from 2 inches

- [1953739] Allow creating a shortcut in Preferences->Shortcuts->Edit metadata to paste metadata ignoring the value of the exclude_fields tweak

- [1954715] E-book viewer: Displays links marked up as glossary and bibliography links as popups

- [1954572] Add a tweak in Preferences->Tweaks to provide the sort value for undefined numbers

:: bug fixes

- Edit book: Fix pressing F8 to jump to next misspelled word not working after last word in current file

- [1954889] Fix PDB E-reader output broken in calibre 5

- [1954839] Edit book: Reports: Include descendant selectors that use classes when counting class usage

- [1954726] E-book viewer: Fix an error when opening some books with highlights that span in-line text formatting

- [1954460] MTP driver: Do not send the calibre device db files to the root folder on the Supernote A5 x as it fails

- ToC Editor: Workaround an occasional error when closing on Windows if the file being edited is in a DropBox/antivirus prone folder

- Fix a regression in the previous release that broke creating new keyboard shortcuts

- Comments editor: When flowing the tool bar onto multiple lines do not split up groups of buttons

- Various compatibility fixes for Python 3.10 used by some Linux distributions

:: improved recipes
- Pocket
- El Pais
- American Prospect
- Mediapart

}}}

{{{ 5.33.2 2021-12-03

:: new features

- Allow changing the icon used for calibre libraries. Right click the library icon in calibre and choose "Change the icon for this library"

- Comments editor: Use a single line for all three toolbars if they fit

- Edit book: Allow merging HTML files by drag and drop of the files onto another HTML file

- Kobo driver: Add support for listing purchased audiobooks

- Edit metadata all-in-one mode: The cover and formats column now gives as much vertical space as possible to the cover image

- [1952562] Add books dialog: When a non-book file type is added the next time the dialog is used, preselect the "All files" filter

- [1952764] calibre-server --manage-users: Allow managing users while the server is running and also add actions to automate changing user account restrictions

- [1950762] EPUB 3 metadata: If the book contains a "subtitle" append it to the main title when reading metadata

:: bug fixes

- [1950673] E-book viewer: Fix an occasional hang on startup at "Loading section"

- [1952142] Get books: Update the Kobo plugin for website changes

- [1951673] Bulk edit metadata dialog: Fix changing the search mode resetting other fields

- [1951507] E-book viewer: Fix sorting of highlights incorrect in books that use HTML ids with a hyphen in them

- [1951467] PDF Output: Fix the option to break long words at the ends of lines causing boxes to be rendered at the end of the line on macOS with some fonts

- Google metadata plugin: When searching by ISBN if no results are found retry using an alternate query syntax

- 5.33.2 fixes a couple of regressions that broke the toolbar in the popup comments editor dialog and rendering of the download
  metadata button in the edit metadata dialog on Windows, as well as reading files from MTP devices on Windows

:: improved recipes
- Smithsonian Magazine

:: new recipes
- The Epoch Times by Kovid Goyal
- Mens Day Out by Vishwas Vasuki
}}}

{{{ 5.32.0 2021-11-12

:: new features

- [major] Edit book: Add a tool to transform HTML tags based on rules (Tools->Transform HTML)

  Allows for making transformations such as changing one html tag to another, deleting tags, wrapping
  them in another tag, etc. Also available during conversions via the Look & feel->Transform HTML
  section of the conversion dialog.

- [1949908] Driver for the new Tolino Vision 6

- Kobo driver: Add support for the latest firmware released last week

- [1948889] When picking a random book ensure recently chosen books are not re-selected

- Icon theme chooser dialog: Allow right clicking on a theme to visit its homepage

:: bug fixes

- Amazon metadata download: Add support for more markup variations in amazon's sites that could prevent the fetching of
  ratings, comments and series metadata for some books

- Google search: Add support for new beta search results page markup that was preventing using cached Google pages
  to search for Amazon metadata

- PDF Output: Fix the option to preserve cover aspect ratio being ignored when converting comics

- [1950412] DOCX Input: Sanitize image filenames more strictly to workaround broken EPUB software

- [1950206] Linux binary: Fix file dialogs not working on Fedora 35 under KDE

- [1949604] When sending email to the Kindle and PocketBook sync services use ASCII filenames as there have been some
  reports of issues with non-ASCII filenames with these services.

- [1950033] Book Details: Fix missing copy options on composite columns

- Ask for confirmation when deleting covers from books

:: improved recipes
- New York Post
- Liberation
- Boston Globe
- The Globe and Mail
- LeMonde

:: new recipes
- India speaks reddit feed by Vishwas Vasuki
}}}

{{{ 5.31.1 2021-10-29

:: new features

- [1948883] Kindle driver: Support the new Kindle PaperWhite 2021

- Add an option under Preferences->Behavior to have calibre recognize numbers when sorting (this was previously under Preferences->Tweaks)

- E-book viewer: Add a button to directly open the viewer help section in the calibre user manual to the viewer controls

- E-book viewer: Prevent the display from sleeping when using auto-scroll or read aloud modes (Implemented only on Windows and macOS)

- Edit book: Set semantics tool: Add support for EPUB 3 landmarks

- [1948493] Add an entry to the Connect/share menu to open the content server in a local browser when it is running

:: bug fixes

- [1947879] Content server: Fix some OPDS feeds failing with non-ASCII content

- [1948560] Tag browser: Fix incorrect first letter partitioning when enabling numeric collation of items that start with a number

- [1949167] 5.31.1 fixes a bug in an HTML serialization library calibre uses that broke a few things, such as the comments editor
  tool in the metadata dialog

}}}

{{{ 5.30.0 2021-10-22

:: new features

- Add support for the new Kobo Sage and Libra 2 e-book reader devices

- [1946439] E-book viewer: Read aloud: Allow right clicking to play/pause reading

- Sending books by e-mail: Preserve non-English characters in attached filenames

- [1946560] Tag browser: Allow searching for sub-categories by right clicking on them

:: bug fixes

- E-book viewer: Fix cover and full screen images not centered in paged mode when more than one page is displayed per screen

- ToC Editor: Ignore in succession clicks on the OK and Cancel buttons to avoid accidentally closing the window when finishing creating a new entry

- [1905479] Comments editor: Fix the formatting buttons not showing the current state correctly and fix some keyboard shortcuts not working when more than one comments editor is present in a single window

- [1946417] Tag browser: Fix renaming of User categories in Virtual libraries

- [1947948] Make removing large numbers of custom column icons easier

:: improved recipes
- Private Eye
- Foreign Policy
- Le Monde Diplomatique - cono sur

}}}

{{{ 5.29.0 2021-10-08

:: new features

- [1945890] Allow drag and drop of books onto formats in the Tag browser to convert them to that format

- [1945891] Allow creating sorts based on multiple columns (Add the Sort action to the toolbar via Preferences->Toolbars & menus)

- Edit book: When changing a paragraph to a heading if the cursor is adjacent to a paragraph tag but not inside any tags other than body, use the adjacent tag

:: bug fixes

- [1945889] Auto adding: Run relevant plugins before reading metadata from the book. Matches behavior of manual adding

- [1945882] Content server: Fix category collapse by partition not working

- Prevent Tab from causing focus to leave the Tag browser

- Edit book: See what changed: Fix non-BMP unicode characters causing highlighting of changed words to be slightly misplaced

- PDF Output: Fix a regression that broke conversion of comics that contain 1-bit images

- Edit book: Fix pressing Ctrl+Tab inserting a tab at the start of a line instead of switching tabs

- [1945098] Fix a regression in the previous release that caused identifiers set by some plugins to not be saved in the database

- [1946342] Template language: Fix nesting composite columns sometimes failing

:: improved recipes
- Entrepreneur Magazine
- Dawn
- New York Review of Books

:: new recipes
- Various Indian news sources by Vishvas Vasuki

}}}

{{{ 5.28.0 2021-09-24

:: new features

- Edit metadata dialog: Customize cover generation: Allow saving and loading cover generation settings as "themes"

- [1944614] E-book viewer: Allow pressing the 0-9 keys to apply a quick highlight style

- [1943521] Book details panel: While clicking tags/authors/etc. holding down the Ctrl+Shift modifier keys now add the tag to the current search with "AND" instead of "OR" when using only Ctrl

- [1944057] Add an option to the preferences drop down menu to restart calibre without third party plugins

:: bug fixes

- [1944562] Edit book: When renaming classes in style sheets only recognize class names preceded by a period

- E-book viewer: Fix lookup in Google partially hidden due to change in Google results page markup

- Conversion dialog: Search replace expression builder: Fix incorrect search result highlighting when non-BMP unicode characters are present in the text

- [1943270] E-book viewer: Fix popup footnote blank when the footnote link points to a <body> tag

- [1944433] E-book viewer: Fix jumping to highlights in text that occurs after a line break and newline character not working in paged mode

- [1943495] Kindle Output: Strip EXIF metadata from JPEG images as the Kindle renderer has issues with it

:: improved recipes
- Аргументы и Факты
- India Today

}}}

{{{ 5.27.0 2021-09-10

:: new features

- When adding Markdown (.md) or Textile (.textile) files that contain references to images, automatically add them as TXTZ with the images

:: bug fixes

- DOCX Output: Correctly convert soft hyphens in the input document to DOCX soft hyphens

- [1942805] DOCX Input: Fix a bookmark at the end of a paragraph causing the bookmark at the start of the paragraph to be skipped

- [1942773] Edit book: Spell check: Fix EPUB 3 nav document not being spell checked when not in the spine

- [1942012] PDF Output: Fix a rare failure when the input document has a ToC item pointing to the last page

- [1942129] Windows: Fix a regression in calibre 5 that caused drag and drop from WinZip to not work

- [1941992] TXT Output: Fix a regression in calibre 5 that caused the max line length option to not work

- When auto converting added TXT files with image references to TXTZ use a full Markdown parser to detect Markdown images

:: improved recipes
- BBC News
- Foreign Affairs

:: new recipes
- The Week by Kovid Goyal
}}}

{{{ 5.26.0 2021-08-27

:: new features

- [1941013] Dark color scheme: Use a darker blue for highlighted items

:: bug fixes

- Content server book viewer: Show a message when a search finds no matches

- MOBI Output: Fix JPEG images without any JFIF metadata not being rendered on the Kindle

- [1939908] Comic input: Fix single color images having their colors changed by normalization

- [1940005] E-book viewer: Fix creating multiple highlights in a single paragraph that also contains some extra text formatting at the start causing the second and subsequent highlights to malfunction

- [1939912] Edit book: Fix a regression in the previous release that broke the options in the Remove unused CSS dialog

:: improved recipes
- Boston Globe

:: new recipes
- NYTimes Cooking by gourav
}}}

{{{ 5.25.0 2021-08-13

:: new features

- [1939469] Edit/Polish book: Remove unused CSS now also removes unreferenced stylesheets

- E-book viewer: Add some CSS variables and classes that allow writing calibre specific CSS in ebooks. See https://manual.calibre-ebook.com/viewer.html#designing-your-book-to-work-well-with-the-calibre-viewer

- A new framework plugins can use to be notified about changes to calibre libraries

- [1938752] Edit metadata dialog: When pasting into the identifiers field if the clipboard contains a URL paste it directly as a URL identifier

:: bug fixes

- [1938448] E-book viewer: When displaying popup footnotes use the same writing direction as the main text for the footnote popups size and header

- E-book viewer: Improve the text layout when looking up words in Google

- Content server viewer: Fix read aloud not working on mobile browsers


:: improved recipes
- The Guardian and The Observer
- Wall Street Journal
- The Atlantic

}}}

{{{ 5.24.0 2021-07-30

:: new features

- Conversion: Insert metadata as jacket: Allow adding timestamp and publisher fields. Also allow controlling the formatting of date/time fields

- [1937025] Cover browser: Add an option to view the central book by double clicking instead of single clicking (Preferences->Look & feel->Cover browser)

- [1936891] Tag browser: Add actions to the configure menu to toggle the display of counts and average rating

- [1936472] Tag browser: Allow plugins to add entries to the context menu


:: bug fixes

- [1938189] fetch-ebook-metadata: Fix an error when using the --cover option and no cover is found

- [1936792] HTML Input: Fix the presence of BookDesigner markup causing conversion to fail

- [1936184] TXT Input: Do not fail if the txt file references a directory as a resource

:: improved recipes
- MSNBC
- Nature News
- Boston Globe
- Foreign Policy
- Le Monde

}}}

{{{ 5.23.0 2021-07-09

:: new features

- [1934204] Annotations browser: Show highlight color in the preview panel

- TXTZ format: Store type of text formatting in the metadata and use it automatically when converting from TXTZ

- [1934043] Edit metadata dialog: Allow holding Ctrl and clicking the item editor buttons to instead open the manage dialog

:: bug fixes

- [1929325] Annotations browser: Fix searching for words in languages such as Chinese that do not have word delimiters not working

- News download: Fix URLs with spaces in them not being downloaded since calibre 5.0

- [1933989] When searching for books by an author from the Manage authors dialog, use exact matches

- [1933797] MOBI Output: Fix invalid color specification as plain numbers causing conversion to fail

- [1933684] MOBI Output: Fix invalid text indent specification causing conversion to fail

- Linux: Drop the unmaintained dbus-python in favor of jeepney for DBUS

- Edit book: Workaround for Qt bug that caused the panel sizes in the editor to not be remembered across sessions

:: improved recipes
- The Guardian and the Observer
- National Geographic
- Handelsblatt
- Huffington Post

}}}

{{{ 5.22.1 2021-06-25

:: new features

- [1931646] E-book viewer: Allow clicking links in popup footnotes

- Main book list: Scroll per pixel rather than per item by default. Can be returned to previous behavior via Preferences->Tweaks->Control behavior of book list

- Linux: Drop support for the global menu bar

:: bug fixes

- [1932152] E-book viewer: Fix font sizes specified in absolute units not being honored in locales where the decimal separator is not the period

- [1931566] E-book viewer: Fix searching for short strings in text with lots of similar entries displaying incorrect matches

- [1932392] MOBI Output: Fix using percentage units for margins resulting in too large margins when using the tablet output profile

- [1931599] E-book viewer: Fix back button not working after jumping to a bookmark

- [1932992] Content server: OPDS feed: Fix incorrect up URL in category group feeds

- [1933559] Content server: Fix a regression in the previous release that broke editing of series metadata

- E-book viewer: Fix scrolling backwards by screen-fulls not working with very large page margins.

- MOBI Input: Fix a regression in calibre 5 that broke processing of Haodoo format files

- Conversion: Fix the smarten punctuation option not applying to inserted jacket page

- 5.22.1 fixes a typo in the previous release that broke device detection on Linux

:: improved recipes
- TheAtlantic.com
- Hindu
- People Daily

}}}

{{{ 5.21.0 2021-06-11

:: new features

- Driver for the new Kobo Ellipsa

- [1930958] Content server: When editing metadata for fields that take multiple values, make it easier to remove individual values by simply tapping a button

- [1930900] Browser viewer: Make current color scheme setting propagate to all devices automatically when using user accounts

- E-book viewer: Image popup: Show the image resolution in the popup window's titlebar

:: bug fixes

- [1930922] HTML Input: Fix handling of @import rules in stylesheets nested more than one level deep

- [1930912] Fix viewer search context menu to clear searches not clearing search settings

- E-book viewer image popup: Fix full screen button in incorrect state when starting in full screen

:: improved recipes
- Associated Press
- The Hindu

}}}

{{{ 5.20.0 2021-06-04

:: new features

- E-book viewer: Highlights: Make URLs in the notes for highlights clickable

- [1930136] Book details: Ctrl-clicking on tags now adds them to the existing search instead of replacing it

- E-book viewer: Allow using the back button to return from jumping to a search result

:: bug fixes

- Get books: Fix the Kobo store plugin for changes to the website

- [1929827] Edit book: Fix non breaking spaces in snippets being converted to normal spaces

- [1930466] ToC Editor: Fix a regression that caused changes to not be saved on machines where running a worker process takes more than ten seconds

- Fix error when changing the "Search the net" URLs for the Content server

:: improved recipes
- Jerusalem Post
- Popular Science
- Ambito Financiero
- Ambito.com
- Infobae

}}}

{{{ 5.19.0 2021-05-28

:: new features

- E-book viewer: Add a preference under Scrolling behavior to reverse the tap zones used to turn pages. So tapping on the left goes forward and the right backward


:: bug fixes

- [1929862] E-book viewer: Fix regression in 5.15 that caused incorrect display of font sizes that contain a period and use absolute units

- [1929240] PDF Output: Fix font kerning issues with some TrueType fonts

- [1929267] Edit book: Fix a regression in 5.18 that broke editing/creating saved searches

- [1919025] Windows: Fix for standalone ToC Editor not working on systems where Qt WebEngine causes a crash at exit

- Windows MTP driver: When scanning an MTP device such as an Android phone ignore folders that Windows fails to enumerate instead of failing with an error

- ToC Editor: Fix a regression that broke choosing split points in some XHTML files

- [1929465] PDB Input: Fix a regression in calibre 5 that broke processing some plucker format PDB files

- Edit book: Fix sorting in spell check dialog on language broken for books that have unknown languages

- Annotations browser: Fix a typo that broke sorting for highlights

- [1909730] Annotations browser: When showing a highlight preserve paragraph boundaries for multi-paragraph highlights

- Viewer highlights panel: Fix the "Edit notes" link not saving the changes

- [1929164] E-book viewer: When using a right click/shift-click to adjust the selection, move the section boundary that is closer to the click point

}}}

{{{ 5.18.0 2021-05-21

:: new features

- Content server viewer: Improved search functionality

Searching can now be done for whole words and regular expressions. And all search results are
listed at once with some context for easy navigation.

- [1928596] E-book viewer: Allow making the image popup full screen

- E-book viewer: Allow expanding/collapsing all items in the Table of Contents at a particular level by right clicking on one item of that level and choosing the option to expand/collapse

- E-book viewer: Add shortcuts shift+home and shift+end to extend current selection to start/end of line

- [1927520] Book details: When creating rules to convert identifiers to URLs allow using {id_unquoted} to avoid quoting the identifier value

- [1927062] Review downloaded metadata: Allow double clicking on a cover to see it at a larger size

- [1927012] Annotations browser: Add a Refresh button


:: bug fixes

- Edit book: Fix ctrl-clicking on a class name jumping to the wrong CSS rule if the stylesheet contains top level comments

- [1928579] Fix search and replace on identifiers not working if the replaced value has colons

- [1922691] Annotations browser: Sort the entries in order of position in book

- ToC editor: Dark mode: Fix colors in location selection panel not dark

- [1926793] E-book viewer: Fix right or shift-clicking to extend selection not shrinking selection when the click is inside the selection
- [1927546] Avoid spurious errors on multiple simultaneous calibre launches

- [1925961] E-book viewer: Ignore mouse scroll events that would turn pages when editing notes

- E-book viewer: Fix sorting bookmarks by title not working

- Windows WPD driver: Fix an error reading the filesystem on some MTP based devices

:: improved recipes
- IEEE Spectrum

}}}

{{{ 5.17.0 2021-04-30

:: new features

- [1926484] E-book viewer: Image popup: Allow dragging with the mouse to pan the image

- [1923724] Sort button: Allow selecting which columns are in the popup sort menu

- [1851908] E-book viewer: When suggesting a default bookmark title, use the name of the current chapter

- [1925038] E-book viewer: When searching the Table of Contents allow holding the Shift key to search backwards

- [1925294] E-book viewer: Add a shortcut Ctrl+0 to restore default font size

:: bug fixes

- Windows MTP driver: Rewrite parts of the driver in the hope of fixing some rare and hard to reproduce crashes

- Windows MTP driver: Set modified and created times when putting files/folders on device. Also read modified time correctly.

- [1918591] Windows: E-book viewer: Fix switching away from viewer while in full screen and switching back causing some corruption until the page is scrolled

- [1925378] Fix a regression in the previous release that caused errors when editing empty date values

- Get books: Update Gutenberg plugin for website changes

- [1926518] E-book viewer: The quick highlight button should replace the style of an existing highlight, when one is selected

- [1925247] Elide long items in the middle when showing the completion popup for tags, to make it easier to use with hierarchical tags

- [1925988] E-book viewer: Read aloud: Fix soft hyphens causing read aloud words to be broken up

- [1925390] E-book viewer: Right clicking when text is selected should extend the selection instead of doing nothing

- Fix settings in the ToC Editor tool being forgotten when calibre is closed

- [1926025] DOCX Output: Fix conversion failing if the input document has missing images

- [1925961] Content server viewer: Fix mouse wheel scrolling not working on the box used to edit notes for highlights

- E-book viewer: Fix read aloud word tracking in flow mode not very reliable

- E-book viewer: Fix navigation shortcuts not working in Read aloud mode

:: improved recipes
- Barrons
- Krebs On Security

}}}

{{{ 5.16.1 2021-04-17

:: new features

:: bug fixes

- [1924703] CHM Input: Fix handling of some CHM files that use non-ASCII internal filenames and don't specify a character encoding in their metadata

- [1924824] Fix a regression in the previous release that prevented calibre from starting if there was a failure in a third party plugin

- Content server viewer: Fix a regression in the previous that broke handling of URLs in stylesheets

- [1924767] Fix a regression in the previous release that broke changing sections in the convert single book dialog after changing the input or output formats

- [1924675] Fix using 'is set' rules not working for column rules with rating values

- E-book viewer: Fix a regression in 5.15 that causes the viewer to ignore page-break CSS properties (in 5.16.1)

- Fix a regression that broke using stored templates (in 5.16.1)

- [1924875] Fix auto scroll books shortcut not working in standalone cover browser window (in 5.16.1)

- [1924890] E-book viewer: Fix jumping to previous section sometimes not working in flow mode (in 5.16.1)

- [1924853] E-book viewer: Fix a regression in 5.15 that broke changing keyboard shortcuts in the viewer preferences (in 5.16.1)

- E-book viewer: Fix a regression in 5.15 that broke using the delete key to delete highlights (in 5.16.1)

:: improved recipes
- Granta
- New Scientist

:: new recipes
- The Saturday paper by Alistair Francis
- Crikey by Alistair Francis

}}}

{{{ 5.15.0 2021-04-16

:: new features

- [1917634] Allow auto scrolling through the list of books by pressing the X key or right clicking on the cover browser

Useful to have a "slideshow" of book covers. The speed of scrolling can be controlled in Preferences->Look & feel->Cover browser

- E-book viewer: Speed up first time open for EPUB files with lots of styling

- E-book viewer preferences: Allow searching for keyboard shortcuts

- Edit book: Allow editing WEBP images

- Various improvements to the template language, see https://www.mobileread.com/forums/showthread.php?t=337573

- [1921610] E-book viewer: Show the current progress percentage in the bottom bar of the viewer controls. This can be customized in the viewer preferences under Headers and footers

- [1921689] E-book viewer: Add an option under Preferences->Miscellaneous to not restore open panels such as Search, Table of Contents etc on restart

- When exporting highlights as text or Markdown also output top level chapter titles

- [1922327] Allow downloading metadata from amazon.se

- [1922591] Preferences->Tweaks: Allow specifying that calibre should open the book details window when double clicking on a book

- [1922341] MOBI Output: Convert WebP images to PNG so they work with Amazon's software

- [1921793] DOCX Input: When converting embedded fonts, replace spaces in the filename with underscores to keep the execrable epubcheck happy

- E-book viewer: Selection bar: Add keyboard shortcuts for all buttons. Hover over a button in the bar to see the shortcut


:: bug fixes

- [1924232] FB2 Output: Fix a regression in calibre 5 that caused paragraphs containing only non-breaking spaces to be removed

- [1924187] Metadata comments editor: Fix setting block alignment destroying other block level properties

- E-book viewer: Fix margins not being adjusted immediately when preferences are changed

- [1921604] Edit book: Upgrade book internals: Fix skipping the NCX removal dialog not remembering the chosen option

- [1922570] Conversion: When specifying a line-height do not apply it to the <html> tag, as it is pointless and causes the execrable epubcheck to complain

- E-book viewer: Improve scrolling behavior when extending the selection using keyboard shortcuts

- E-book viewer: Fix read percent for HTML files that are rendered in a single screen being 0% rather than 100%

- [1924598] E-book viewer: Highlights panel: Do not expand all sections when adding/deleting/modifying highlights

- [1922503] CHM Input: Fix a regression in calibre 5.0 that broke opening of some files that don't specify a character encoding

- EPUB2 metadata: Read ISBNs in identifier elements without schemes if they are valid ISBNs and no properly identified isbns are present

- [1922309] Update Amazon metadata plugin for changes to amazon websites

- Edit book: Fix detection of class names containing hyphens/underscores

:: improved recipes
- New Scientist
- Irish Times
- 1843
- The Straits Times

:: new recipes
- Los Danieles – Columnas sin techo by CAVALENCIA
}}}

{{{ 5.14.0 2021-03-26

:: new features

- Edit book: When right clicking on a class in a HTML file, add an option to rename the class throughout the book

- [1919103] Adding from ISBN: Add an option to check if there are existing books with the specified ISBNs already in the library

- [1920576] Template tester: Instead of next/last, the template tester now shows the template values for selected books

- [1918047] Content server: Allow swiping left and right to show next/previous book on the book details page

- [1919072] E-book viewer: Make the commonly used Shift+Arrow key shortcuts for modifying selections using the keyboard work. Also add shortcuts for selecting by character, line and paragraph.

:: bug fixes

- [1920613] MOBI Output: Fix latest Kindle firmware not displaying select publisher font option for calibre produced AZW3 files

- [1919033] E-book viewer: Fix errors when viewing books with mathematics that are split over multiple internal files

- [1918436] Content server viewer: Fix highlights not sorted correctly in the highlights panel

- [1918737] Get books: Fix Smashwords plugin not working because of website changes

- [1920733] Improve the performance of QuickView especially when using composite columns

- [1918428] Improve performance of the virtual_libraries() template function

- [1920250] Browser viewer: Fix Go to Location not working for positions

- [1905257] E-book viewer: Fix searching in the Table of Contents not working

- [1918105] E-book viewer: In paged mode, fix scrolling not working correctly when margins are set to zero

- [1918437] E-book viewer: Fix incorrect ToC navigation in books that link the entries to inline tags that wrap block tags that span multiple pages

- [1920592] Category editor: Searching in library shouldn't automatically open Quickview

- [1919260] Conversion: Fix a hang caused by long sequences of non-word characters when heuristics are enabled, either explicitly or for some input formats such as TXT

- Fix a regression in calibre 5 that broke --explode-book and --implode-book actions for calibre-debug.exe

- Fix a regression in calibre 5 that broke setting metadata in RTF files

:: new recipes
- ZackZack.at by Dirk Gomez
}}}

{{{ 5.13.0 2021-03-10

:: new features

- [1917967] E-book Viewer: Allow editing the current book by pressing Ctrl+D or adding a button for it to the viewer tool bar

- Edit book: Add a command line flag to allow selecting the specified text when opening a book

- [1917363] Edit metadata dialog: When trimming covers, show the size of the current trim region

:: bug fixes

- Fix a regression in the previous release that broke sending of emails with text longer than 900 characters

- E-book viewer: Fix using keyboard to extend selection not turning pages

- [1918030] Fix searching for items from the Manage dialog not working correctly

- [1917386] PDF input: Replace paragraph separator characters with spaces

:: improved recipes
- The Conversation

}}}

{{{ 5.12.0 2021-02-26

:: new features

- [1915773] E-book viewer: When searching start the search from the current position, jumping to the first match at or after the current page

- [1916411] E-book viewer: Have the Table of Contents view automatically scroll to keep the chapter being read currently visible

- Various improvements to the calibre template language, see https://www.mobileread.com/forums/showthread.php?t=337573

- Edit book: File browser: Show total size of items in category when hovering over category with mouse

- Kobo driver: Add support for latest firmware and also an option to choose the color used for cover letterboxing

:: bug fixes

- [1915685] E-book viewer: Fix selection popup bar sometimes going off screen when dragging up to the top line of text

- Get books: Update the Biblio and Chitanka stores for website changes

- [1915770] Edit book: Fix editing of JavaScript files not working

:: improved recipes
- Slate
- Harper's Magazine

}}}

{{{ 5.11.0 2021-02-12

:: new features

- [1912958] Edit book: Add a tool to split the tag at the current cursor position, creating a new tag with the same style and class attributes. To add the tool go to the Toolbars section in the editor preferences

- [1911107] E-book viewer: Show the URL when hovering over external links

- E-book viewer: Redesign the reference mode to also work on touch screens without a mouse. Now in reference mode paragraph numbers are displayed for all paragraphs

- Edit book: Allow Ctrl-clicking on class names to jump to the first style rule that matches the tag and class

- Content server: When browsing highlights for a book allow selecting multiple highlights to delete or export quickly

- [1912954] Allow creating keyboard shortcuts to copy show and view URLs for selected books to clipboard

- calibredb: Add a timeout option to control the timeout when connecting to the calibre server

:: bug fixes

- [1913854] Content server: Fix dragging selection handles not working in Safari

- [1915303] E-book viewer: Fix links with a href of "#" not working

- E-book viewer: Hide the controls when clicking the back or forward buttons

- [1914921] E-book viewer: When jumping to a highlight using the highlights panel, the back button should return to position before jump

- [1914157] E-book viewer: Fix incorrect tooltip when hovering over a section title in the search results list

- HTMLZ Output: Fix a regression in calibre 5 that broke creating HTMLZ documents when using the option to place CSS inline

:: improved recipes
- Endgadget

}}}

{{{ 5.10.1 2021-01-22

:: new features

- [1911888] Bulk metadata edit: Add a new control to compress the cover image files for all selected books

- [1912212] Add support for the CB7 comic file file format

- [1912070] E-book viewer: Allow adding a button to the selection bar that copies the
  currently selected text along with a calibre:// URL to show the text in the book

- Conversion: Insert metadata: Allow showing identifiers such as ISBN in the jacket page template

- Conversion: Insert metadata: Allow hiding entries in the jacket template when they are not present in the metadata

- [1912337] calibre-server --manage-users: Add a scriptable interface: calibre-server --manage-users -- help

- [1912070] E-book viewer: Add keyboard shortcuts to copy the current location to the clipboard

- [1912003] E-book viewer: Highlight all currently visible Table of Contents entries, not just the first

- Add a new tweak under Preferences->Tweaks->Author sort name algorithm to optionally recognize
  common surname prefixes such as von, van, de, etc. when generating sort names.

:: bug fixes

- [1911470] E-book viewer: Move read aloud pop-up bar to the bottom of the screen in flow mode

- [1911218] E-book viewer: Fix scrolling with two fingers on touch pad on macOS not smooth

- [1911466] PDF Output: When converting fixed layout input documents fix anchors inserted for navigation sometimes being rendered as blue boxes

- [1904350] Edit book: Remove unused CSS: Fix selectors that don't match from CSS rules containing multiple selectors not being removed

- Bulk metadata download: Fix series number not being changes if the series is the same as the existing series

- E-book viewer: Fix a regression that caused non-HTML descriptions to not be displayed in the metadata page

- E-book viewer: Fix clock being displayed in 24 hr format on some systems even though system locale is set to use 12 hr format.

- Bulk metadata edit: Fix regression that inverted the meaning of the case sensitivity setting in the Search & replace tab

- calibredb list: Fix incorrect output when redirecting to file

- 5.10.1 fixes a regression in 5.10.0 that broke conversion when including metadata as a jacket page and using long text custom columns

:: improved recipes
- Jacobin
- Japan Times
- The Wall Street Journal
- Mediapart

}}}

{{{ 5.9.0 2021-01-08

:: new features

- Annotations: Allow exporting highlights and bookmarks in Markdown format, with a link to open the book at the highlight location

- [1909529] Content server viewer: Allow exporting all highlights

- [1909339] Icon rules editor: Add a button to open the icons folder

- [1909258] Quickview: Dropdown menu for all selectable columns

:: bug fixes

- [1909880 1906152] Fix a regression that caused the Content server to crash if a client closed a connection during a file transfer on macOS and Linux.

- [1909224] LRF Output: Fix conversion broken in calibre 5 when font size rescaling is active

- E-book viewer: Cancel any speech in progress when hiding the selection popup bar after triggering the speak aloud action on it

- [1909332] Color/icon rules editor: Fix duplicate rule button not working correctly

- [1909291] Fix dropping files onto Book details causing an error if the confirmation dialog is disabled

:: improved recipes
- General Knowledge Today
- El Pais
- USA Today
- WirtchaftsWoche Online
- The Guardian
- Arcamax
- Miami Herald
- The Seattle Times

:: new recipes

- Mallorca Zeitung by VoHegg
- T-Online by VoHegg
- El Diario by Dirk Gómez

}}}

{{{ 5.8.1 2020-12-24

:: new features

- Happy holidays to all calibre users!

- E-book viewer: Add a mode to follow links with only the keyboard (triggered by Alt+F)

- [1908929] Edit book: A new option to show a configurable number lines above the current line when syncing the position of the preview panel to the current position in the code editor (under Preview settings in the Editor preferences).

- [1907410] Windows: Automatically resolve shortcuts (.lnk files) when adding books to calibre.

- Content server viewer: Don't enter full screen mode automatically when reading on desktop like devices (this can be controlled via a setting in the viewer preferences under Page layout)

- E-book viewer tool bar: Add a select all action and a Read aloud action (can be added by right clicking the tool bar and configuring it)

- Template/formatter enhancements: Add a 'for' statement and add the ability for a developer to pass extra information to a template.

- [1907919 1907918] Rules editors for icon/coloring rules: Add a button to duplicate rules and to convert a rule to advanced template mode

:: bug fixes

- Content server viewer: Fix regression in 5.0 that broke scrolling on iOS

- [1908000] E-book viewer: Fix error when scrolling to some search results in flow mode

- [1898394] AZW3 Input: Fix rare AID based links not working.

- [1907907] E-book viewer: Fix clock in header/footer not using system time format

- Windows: Fix Read aloud not working with books that have a single large internal text file, such as MOBI or DOCX books

- PDF Output: Fix a regression causing conversion to fail when typesetting Chinese text

- Amazon metadata download: Fix no results being found when using the automatic or Google servers because of a change in the markup of the Google search results page.

- [1909217 1909197] Version 5.8.1 fixes a couple of regressions that broke the Save to disk function and changing Page layout settings in the viewer.

:: improved recipes

- The Australian
- The Atlantic
- Zerohedge
- New York Times Book Review

:: new recipes

- SchwarzerPfeil by tastytea
- Substack by topynate
}}}

{{{ 5.7.2 2020-12-12

:: new features

- [major] E-book viewer: Add a "Read aloud" function that works via the operating system's Text-to-speech engine.

  Click the "Read aloud" button in the viewer controls to start reading the book text aloud from the current page.

- A new busy spinner for waiting animations

- [1907140] Edit metadata: Add buttons to easily set yes/no fields also shortcut to clear the field.

:: bug fixes

- [1905967] PDF Output: Fix a regression in the previous release that broke text rendering for some fonts due to a bug in Qt WebEngine (full fix is in 5.7.2).

- [1905736] PDF Output: Fix conversion failing when adding header/footer and the input document defines margins/padding on the <html> tag.

- [1907159] Windows: Fix the case of library names in copied calibre:// links sometimes incorrect.

- [1906459] AZW3 Input: Fix a regression in calibre 5 that broke processing of files with inline flow replacements.

- [1906149] Fix hiding and showing Book details panel changes its size by a pixel or two.

- [1907067] Get books: Fix amazon.fr not working because of website changes.

- Bulk metadata search/replace: Fix text transform function not being applied to the test result in character mode

- [1906464] Book list: Improve rendering of column headers when they don't fit, by eliding them instead of just cutting off rendering.

- [1906063] Fix template function "first_non_empty" fails if no argument evaluates non-empty

- [1907773] Fix regression in 5.7.0 causing failure to start if one of the previously used libraries had a stored path ending in a slash.

:: improved recipes
- The Guardian
- The Atlantic

}}}

{{{ 5.6.0 2020-11-27

:: new features

- Edit book: Show a non-modal popup for a few seconds to allow undoing file delete operations

- [1903418] Device books view: Add an action to the context menu to easily jump to the matching book in the calibre library view

- [1903270] Add ability to undo Generate cover in the Edit metadata screen, by long clicking the Generate cover button

- Edit book: Allow adding tags to the list of tags for the insert tag button

- calibredb add: New option --automerge to automatically merge duplicates

- [1905646] Add an edit notes action to the context menu in the viewer highlights panel

- [1903333] Content server viewer: Allow viewing images in a new window by right clicking them, matches the calibre builtin viewer behavior

- [1903403] Book details window: Allow opening the edit metadata window using either the keyboard shortcut or the context menu

- Allow copying the current search as a calibre:// URL by right clicking the search box

- Book details panel: Add entries to copy calibre:// links for the current book to the context menu

- Edit book: Upgrade book: Ask whether to keep the NCX based Table of Contents

:: bug fixes

- [1904310] Windows: Fix calibre portable launcher not working correctly from root folder in calibre 5.5

- [1904505] macOS: Fix rendering of space after punctuation incorrect in Big Sur

- [1905319] DOCX Input: When converting images placed using the obsolete VML markup default them to being inline rather than block images

- [1905479] Metadata edit dialog: Fix keyboard shortcuts for bold/italic/underline not working when more than one comments editor widget is present on a single tab

- [1905113] When using calibre://show-book URLs and the book is not found, clear any Virtual library or search restriction and then show the book

- macOS: Fix calibre:// URLs not working from other documents

- Fix calibre:// URL search action not changing library if needed

- [1904305] annotation_count() template function displaying value for deleted annotations

- [1905806] Edit book: Fix syntax highlighting not recognizing ends-with selector

:: improved recipes
- The BBC
- Folha de Sao Paolo
- Netzpolitik

}}}

{{{ 5.5.0 2020-11-13

:: new features

- [major] Support the calibre:// URL scheme

  Clicking on calibre:// URLs can be used to have calibre perform various actions.
  For details, see: https://manual.calibre-ebook.com/url_scheme.html

- Viewer: Show calibre:// URL for current book in the Goto->Location panel

- [1902518] Edit book: Add an action to the right click menu for tabs to close tabs to the right of the current tab.

- [1902413] Add ability to copy tag, publisher and author in Book details panel by right-clicking

- [1902326] Annotations browser: Add a context menu for common actions.

- [1899839] Annotations browser: Show a dot for highlights with notes.

- [1902227] Edit book: Saved searches panel: Allow copying the current saved search to the regular search panel by clicking the Export button.

- Windows: Fix command line arguments not working for the portable.exe launchers

- Viewer: back and forward buttons on the mouse now trigger the back and forward actions

- [1902313] Option to mark all books with annotations/bookmarks

- Various minor improvements to how keyboard focus is handled in the Tag browser

:: bug fixes

- [1903294] Edit book: Fix regression in calibre 5 that caused an error when managing user dictionaries.

- [1903831] Viewer: Fix previous/next buttons iterating over removed bookmarks

- [1903825] Welcome wizard: Fix changing the language causing a empty folder to be created.

- [1903699] Viewer: Fix regression causing custom shortcuts with Shift key pressed not working

- [1903423] Viewer: In dark mode when showing images with transparency in the popup use a light background color as most images are designed with a light background color in mind.

- [1903428] Fix a regression in the previous release that broke conversion of DJVU files

- [1903363] Metadata edit: "Set to Undefined" button missing on integer columns.

- [1903086] Entry remains underlined in Tag browser after clearing filter

- [1902126] XML Catalogs: Fix languages field missing

- Fix a regression that broke loading of third party plugins that are encoded in an encoding other than UTF-8

- macOS: Fix viewer not responding to cmd+c to copy text by default

- Windows: Fix sending email on computers with non-ASCII computer names

:: improved recipes
- Spectator Magazine

}}}

{{{ 5.4.2 2020-10-30

:: new features

- [1900761] Windows: Allow adding of books to calibre from folders whose path length is larger than 260 characters

- Tag browser: Add an option in Preferences->Look & feel->Tag browser to allow the tag browser to get keyboard focus

- Tag browser: Allow editing the set of permissible values and colors for a custom column with fixed values, by right clicking on it.

- Edit metadata dialog: Make most custom metadata controls use only a single line.

  Elide the names of custom columns that are longer than a fixed width, instead of using multiple lines.
  Configurable via Preferences->Tweaks->Edit metadata custom column label length

- Edit book: Remove unused CSS: Add an option to merge CSS rules that have identical properties

- [1901379] Book details window: Double clicking on the cover now shows it in the default system image viewer.

- [1900874] News download: Allow passing username/password in feed URLs.

- [1900890] Open with: Allow renaming Open with applications.

:: bug fixes

- [1900868] Viewer: Fix jumping to search result not always working in flow mode.

- Get Books: Update Google and Gutenberg plugins for website changes

- [1900946] Viewer: Fix keyboard shortcuts using Ctrl+Alt+letter key not working on Windows.

- [1900942] Viewer: Fix keyboard shortcuts to shrink/grow selection not working.

- [1900938] Viewer: Fix keyboard shortcut to toggle highlights panel not working when the highlights panel is itself focused.

- [1900358] Viewer: handle editing of missing highlights more gracefully


- [1901289] Drivers: Fix regression in calibre 5 that broke connecting to SONY devices

- [1901276] Open with: On Linux when reading names from .desktop files, use the first matching language

- [1901593] Conversion: Fix a regression in calibre 5 that broke conversion of some malformed CSS stylesheets.

- [1901957] Conversion: Fix a regression in calibre 5 that broke processing of some PDB files with images.

- [1901278] Conversion: Fix regression in calibre 5 in the handling of @import() rules in stylesheets that import from folders above themselves.

- [1901232 1901230] Content server: Fix various controls on the book details page not working when viewing a random book.

- [1901273] Tag browser: Fix a crash when renaming a saved search to a value that already exists.

- [1900921] Tag browser: Fix renaming of custom column with fixed set of values not working.

- [1901630] Fix a regression in calibre 5 that broke auto-sync of generated catalogs to devices.

- [1901113] Fix setting rating via ebook-meta command line tool broken in calibre 5.

- [1900099] When boolean columns are set to bistate, checking "show checkmarks" results in all non-boolean values being shown as false

- Spell check: Fix using non UTF-8 dictionaries broken in calibre 5

- Fix a rare issue where restarting calibre from within the program would fail.

- Version 5.4.2 fixes bugs in 5.4.0 that prevented calibre from starting on macOS and from choosing save file names on Windows.

:: improved recipes

- Psychology Today
- Washington Post
- LifeHacker
- The Atlantic
- New York Review of Books

}}}

{{{ 5.3.0 2020-10-16
:: new features

- Tag browser: When grouping items by first letter if adjacent letters have few entries combine them into a single group.

Can be controlled via an option in Preferences->Look & feel->Tag browser to combine 'first letters' together if there are a small number of items under adjacent letters

- [1899163] Viewer: Allow displaying the current page / total pages in the header/footer. Useful in paged mode to see exactly how many pages are left.

- [1899834] Viewer search panel: Show more result context in a tooltip when hovering over a search result.

- DOCX Input: Add support for Word controls used to rotate or flip images

Only works with output formats such as EPUB that support CSS transforms

- [1899762] Viewer image pop-up: Allow maximizing/minimizing the window.

- Edit metadata dialog: Use only a single line for custom column date fields

- [1899341] Add an item to search for categories to the Category editor context menu.

- [1899316] Category editor: Add a right click menu to change case of the selected entries.


:: bug fixes

- [1898221] Fix a regression in 5.0 that caused performance of dialogs that contain title/series/tags edit fields to be very poor with large libraries.

- Fix a regression in 5.0 that caused some pop-up menus to appear on the wrong monitor in multi-monitor setups

- macOS: Fix a long standing bug that prevented drag and drop of multiple items

- Windows: Fix a regression that broke scanning for default programs for the Open with action

- [1898894] Windows: Fix a regression in 5.0 causing some MOBI files with non-BMP characters not being processed correctly.

- E-book viewer: Fix scrolling past the end of chapter boundaries not working in books that have negative margins

- [1899466] Edit metadata dialog: fix incorrect rendering of custom column names that start with emoji.

- [1899318] Quickview: Fix nothing shown after clearing the search.

- [1900022] Dark mode: Fix radio buttons having no outline.

- [1900066] Annotations browser: When showing a book in the calibre library that is not currently visible, display an error.


:: new recipes

- Deutsche Welle by VoHe

:: improved recipes

- Reuters


}}}

{{{ 5.2.0 2020-10-07
:: new features

- [1897354] Browse annotations: Add a check box to restrict the displayed annotations to only the books currently selected in the calibre library.

- Allow storing and calling functions in the calibre template language (Preferences->Template functions)

- [1897336] Add a shortcut (Shift+V) to open the last read book.


:: bug fixes

- Fix import errors with some third party plugin on Windows

- [1898598] Viewer: Fix toolbar show controls button not working when no book is open.

- [1898577] Viewer: Fix incorrect positioning of context menu for viewer toolbar.

- MOBI Input: Fix regression that broke reading of some documents

- Bulk metadata search and replace: Fix some regular expression causing errors with the new regex engine

- Fix a regression that broke application of plugboards when sending by e-mail

- [1898441] ODT Input: Fix a regression that broke conversion of ODT files with footnotes.

- [1898413] Viewer: Fix mouse wheel not working while selection bar is visible

- Viewer: Fix selection popup bar not always close to mouse when ending select-to-drag

- Fix calibre-server not exiting on Ctrl+C on Windows

- [1897410] Content server OPDS feeds: Fix error if the metadata for a book contains particular Unicode characters.

- [1898167] Edit book: Reports tool: Fix a regression that broke sorting.

- HTMLZ Output: Fix an error when converting a document that has SVG images



}}}

{{{ 5.1.0 2020-10-02
:: new features

- Enhancement: allow using templates in search expressions

- [1897435] Viewer lookup panel: Add a checkbox to disable automatic update of lookup when the selected text changes.

- [1897415] Viewer: Allow skipping the confirmation when using the remove highlight button in the popup bar.


:: bug fixes

- [1897618] ToC Editor: Fix bulk rename of entries not working

- [1897571] Linux: Fix right clicking on system tray icon not working

- [1897356] Fix User category based searches unreliable dues to caching issues

- PDF Output: Don't fail if the input document has an html file identified as the cover

- [1897467] Catalog generation: Fix a regression that broke generating catalogs if books with no comments are present.

- [1897314] Windows: Fix error on first run of calibre after install/upgrade

- Viewer: Fix copy to clipboard button in toolbar not working

- [1897297] Viewer: Fix copy to clipboard not copying text as HTML to clipboard in addition to plain text

- [1897409] macOS: Fix some drop down menus such as in the ToC editor and cover generation in the Edit metadata dialog not working



}}}

{{{ 5.0.1 2020-09-25
:: new features

- [major] For details on the major changes in calibre between 4.0 and 5.0, see https://calibre-ebook.com/new-in/fourteen

- [major] E-book viewer: Add support for highlighting

https://manual.calibre-ebook.com/viewer.html#highlighting-text

- [major] E-book viewer: Add support for right-to-left and vertical text

- [major] Switch calibre to Python 3. This means that some no longer maintained third party plugins will not work. See https://www.mobileread.com/forums/showthread.php?t=326405

- Dark mode support for the Content server and E-book viewer user interfaces

- Content server's in-browser viewer now supports bookmarking. Bookmarks and highlights are auto-synced across devices.

- Regular expression engine used for searching the book list and reading metadata from filenames has been made more powerful.


:: bug fixes

- Version 5.0.1 fixes a bug in 5.0.0 that broke connecting to devices on macOS



}}}

{{{ 4.23.0 2020-08-21
:: new features

- Kobo driver: Add support for new firmware. Also add recognition of 'Kobo Plus' subscription books

- [1889925] Edit book: Allow customizing the base background/foreground and link colors for the preview window.

- [1891765] Quickview panel: Add actions to the context menu to search for book in library, open in E-book viewer, etc.

- Allow forcing calibre to remember the column width for the On device column by right clicking the header of the column

- Template language: Add functions to perform math operations to convert fractional numbers to integers


:: bug fixes

- [1849958] Content server: Fix Esc key not working in several views.

- [1889973] Fix unable to delete default value for custom columns of boolean type, once set

- EPUB Output: When splitting don't consider files with only a single character empty

- Comments editor: Fix syntax coloring for HTML view in dark mode

- Book list: When a series column is not wide enough, elide text in the middle so that the series number is visible


:: new recipes

- linuxnews.de and t3n.de by Volker Heggemann

:: improved recipes

- El Diplo
- calibre Blog
- ESPN
- LA Times
- Winnipeg Free Press
- Popular Science
- Science News Recent Issues


}}}

